<?php

namespace App;
use DB;

use Illuminate\Database\Eloquent\Model;

class Change_history extends Model
{
    protected $table = 'change_history';
    protected $fillable = [
      'id_user',
      'id_klijent',
      'id_opticki_klijent',
      'id_supernova_klijent',
      'id_bakar_klijent',
      'id_construction_site',
      'id_huawei',
      'data_transfer',
      'created_at'
    ];

    public function history($idKlijent){
      $query = DB::table('change_history as ch')
      ->leftJoin('users as u', 'u.id', '=', 'ch.id_user')
      ->select('u.ime as user_ime', 'u.prezime as user_prezime', 'ch.created_at as edit_time', 'data_transfer')
      ->where('ch.id_klijent', '=', $idKlijent)
      ->orderBy('ch.created_at', 'DESC')
      ;

      $result = $query->get();
      return $result;
    }

    public function historyOptika($idKlijent){
      $query = DB::table('change_history as ch')
      ->leftJoin('users as u', 'u.id', '=', 'ch.id_user')
      ->select('u.ime as user_ime', 'u.prezime as user_prezime', 'ch.created_at as edit_time', 'data_transfer')
      ->where('ch.id_opticki_klijent', '=', $idKlijent)
      ->orderBy('ch.created_at', 'DESC')
      ;

      $result = $query->get();
      return $result;
    }

    public function historySupernova($idKlijent){
        $query = DB::table('change_history as ch')
            ->leftJoin('users as u', 'u.id', '=', 'ch.id_user')
            ->select('u.ime as user_ime', 'u.prezime as user_prezime', 'ch.created_at as edit_time', 'data_transfer')
            ->where('ch.id_supernova_klijent', '=', $idKlijent)
            ->orderBy('ch.created_at', 'DESC')
        ;

        $result = $query->get();
        return $result;
    }

    public function historyBakar($idKlijent){
        $query = DB::table('change_history as ch')
            ->leftJoin('users as u', 'u.id', '=', 'ch.id_user')
            ->select('u.ime as user_ime', 'u.prezime as user_prezime', 'ch.created_at as edit_time', 'data_transfer')
            ->where('ch.id_bakar_klijent', '=', $idKlijent)
            ->orderBy('ch.created_at', 'DESC')
        ;

        $result = $query->get();
        return $result;
    }

    public function historyConstruction($id){
        $query = DB::table('change_history as ch')
            ->leftJoin('users as u', 'u.id', '=', 'ch.id_user')
            ->select('u.ime as user_ime', 'u.prezime as user_prezime', 'ch.created_at as edit_time')
            ->where('ch.id_construction_site', '=', $id)
            ->orderBy('ch.created_at', 'DESC')
        ;

        $result = $query->get();
        return $result;
    }

    public function historyHuawei($id){
        $query = DB::table('change_history as ch')
            ->leftJoin('users as u', 'u.id', '=', 'ch.id_user')
            ->select('u.ime as user_ime', 'u.prezime as user_prezime', 'ch.created_at as edit_time')
            ->where('ch.id_huawei', '=', $id)
            ->orderBy('ch.created_at', 'DESC')
        ;

        $result = $query->get();
        return $result;
    }
}
