<?php
function billAlarm(){
    $billModel = new \App\Models\Callisto_bills();
    $billAlarm = $billModel->billAlarm();
    if($billAlarm)
        session(['unpayed_bill' => true]);
    else
        session(['unpayed_bill' => false]);
}

function unresolvedTickets(){
    $user = auth()->user();
    if(in_array($user->role_id, [1,9])) {
        $tMod = new \App\Models\Tickets();
        $hasUnresolvedTicketsConstruction = $tMod->hasUnresolvedTickets(0);
        $hasUnresolvedTicketsHuawei = $tMod->hasUnresolvedTickets(1);

        if ($hasUnresolvedTicketsConstruction)
            session(['construction_unresolved_tickets' => true]);
        else
            session(['construction_unresolved_tickets' => false]);

        if ($hasUnresolvedTicketsHuawei)
            session(['hw_unresolved_tickets' => true]);
        else
            session(['hw_unresolved_tickets' => false]);
    }
    else {
        session(['construction_unresolved_tickets' => false]);
        session(['hw_unresolved_tickets' => false]);
    }
}

function personalUnresolvedTickets(){
    $user = auth()->user();
    if(in_array($user->role_id, [1,2,3,7,8,9,10,11])) {
        $tMod = new \App\Models\Tickets();
        $hasUnresolvedTicketsConstruction = $tMod->hasPersonalUnresolvedTickets(0, $user->id);
        $hasUnresolvedTicketsHuawei = $tMod->hasPersonalUnresolvedTickets(1, $user->id);

        if ($hasUnresolvedTicketsConstruction)
            session(['construction_personal_unresolved_tickets' => true]);
        else
            session(['construction_personal_unresolved_tickets' => false]);

        if ($hasUnresolvedTicketsHuawei)
            session(['hw_personal_unresolved_tickets' => true]);
        else
            session(['hw_personal_unresolved_tickets' => false]);
    }
    else {
        session(['hw_personal_unresolved_tickets' => false]);
        session(['hw_personal_unresolved_tickets' => false]);
    }
}

function received_requests(){
    $zahtevModel = new \App\Klijenti_prodaja();
    $imaZahtev = $zahtevModel->zahtev_notifikacija();
    if ($imaZahtev)
        session(['zahtevi'=>$imaZahtev]);
}