<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class ConstructionAreaAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::check()){ 
            if($request->user()->is_active != 1)
                Auth::logout();
            if (in_array($request->user()->role_id, config('app.area_admins'))) {
                unresolvedTickets();
                personalUnresolvedTickets();
                return $next($request);
            }
            else
                return back()->with('errors', 'Ovu stranicu može da vidi samo ADMIN');
        }
    }
}
