<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use DB;

class Images_documents extends Model
{
    //
    protected $table = 'images_documents';

    protected $fillable = [
        'image_url',
        'id_klijent',
        'id_opticki_klijent',
        'id_supernova_klijent',
        'id_bakar_klijent'
    ];

    public function dokumentiZaKlijenta($klijentId){
        $query = DB::table('images_documents')
            ->select('id','image_url', 'created_at')
            ->where('id_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function dokumentiZaOptickogKlijenta($klijentId){
        $query = DB::table('images_documents')
            ->select('id','image_url', 'created_at')
            ->where('id_opticki_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function dokumentiZaSupernovaKlijenta($klijentId){
        $query = DB::table('images_documents')
            ->select('id','image_url')
            ->where('id_supernova_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function dokumentiZaBakarnogKlijenta($klijentId){
        $query = DB::table('images_documents')
            ->select('id','image_url', 'created_at')
            ->where('id_bakar_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }
}
