<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Ger_change_history extends Model
{
    protected $table = 'ger_change_history';
    protected $fillable = ['id_user', 'id_site'];

    public function history($id){
        $query = DB::table('ger_change_history as ch')
            ->leftJoin('users as u', 'u.id', '=', 'ch.id_user')
            ->select('u.ime as user_ime', 'u.prezime as user_prezime', 'ch.created_at as edit_time')
            ->where('ch.id_site', '=', $id)
            ->orderBy('ch.created_at', 'DESC')
        ;

        $result = $query->get();
        return $result;
    }
}
