<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use DB;

class Supervisor_comments extends Model
{
    protected $fillable = [
        'comment',
        'id_optical_client',
        'id_user'
    ];

    public function comments($opticClientId){
        $query = DB::table('supervisor_comments as sc')
            ->leftJoin('users as u', 'u.id', '=', 'sc.id_user')
            ->select('sc.comment', 'sc.created_at', 'u.ime as name', 'u.prezime as surname', 'sc.id')
            ->where('sc.id_optical_client', '=', $opticClientId);
        $result = $query->get();
        return $result;
    }

}
