<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use DB;

class Terrain_ammounts extends Model
{
    protected $fillable = [
        'user_id',
        'date',
        'ammount'
    ];

    public function ammount($date, $userId){
        $query = DB::table('terrain_ammounts')
                ->select('ammount')
                ->where('date', '=', $date)
                ->where('user_id', '=', $userId)
                ->orderBy('id', 'DESC')
                ->limit(1);

        $result = $query->get();
        if($result->isEmpty())
            return 0;
        else
            return $result[0]->ammount;
    }

    public function allreadyInserted($date, $userId){
        $query = DB::table('terrain_ammounts')
                ->select('id')
                ->where('date', '=', $date)
                ->where('user_id', '=', $userId);

        $result = $query->get();
        if($result->isEmpty())
            return false;
        else
            return true;
    }
    
}
