<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Tool_delivered_goods extends Model
{
    protected $fillable = [
        'serial',
        'delivery_note', 
        'device_id',
        'warehouse'
    ];

    public function deliveredGoods($id){
        $query = DB::table('tool_delivered_goods as o')
            ->leftJoin('uredjaji as u', 'o.device_id', '=', 'u.id')
            ->select('o.serial', 'u.uredjaj as device', 'o.id', 'o.device_id', 'o.warehouse')
            ->orderBy('o.id', 'DESC')
            ->where('delivery_note', '=', $id);
        ;

        $result = $query->get();
        return $result;
    }

    public function checkSerial($serial){
        $query = DB::table('tool_delivered_goods')
            ->select('id')
            ->where('serial', '=', $serial)
        ;

        $result = $query->get();
        return $result;
    }
}
