<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Videos extends Model
{
    protected $fillable = [
        'video_url',
        'id_klijent',
        'id_opticki_klijent',
        'id_bakar_klijent'
    ];

    public function videoZaKlijenta($klijentId){
        $query = DB::table('videos')
            ->select('id','video_url')
            ->where('id_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function videoZaOptickogKlijenta($klijentId){
        $query = DB::table('videos')
            ->select('id','video_url')
            ->where('id_opticki_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function videoZaBakarnogKlijenta($klijentId){
        $query = DB::table('videos')
            ->select('id','video_url')
            ->where('id_bakar_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }
}
