<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterFobosRuneAddTeamLeader extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->unsignedBigInteger('team_leader')->after('seller_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->dropColumn('team_leader');
        });
    }
}
