<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDemandEquipmentTemp extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demand_equipment_temp', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('code')->nullable();
            $table->char('category')->nullable();
            $table->unsignedBigInteger('equipment_id');
            $table->char('equipment');
            $table->unsignedBigInteger('package')->nullable();
            $table->float('quantity');
            $table->unsignedBigInteger('user_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('demand_equipment_temp');
    }
}
