<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterFobosRuneAddLeaderAssignDate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->date('leader_assign_date')->after('team_leader')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->dropColumn('leader_assign_date');
        });
    }
}
