<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterFobosRuneAddDateFields extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->date('date_ku')->after('status_id')->nullable();
            $table->date('date_rp')->after('date_ku')->nullable();
            $table->date('date_nz')->after('date_rp')->nullable();
            $table->date('date_nzv')->after('date_nz')->nullable();
            $table->date('date_nn')->after('date_nzv')->nullable();
            $table->date('date_ro')->after('date_nn')->nullable();
            $table->date('date_nnn')->after('date_ro')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->dropColumn('date_ku');
            $table->dropColumn('date_rp');
            $table->dropColumn('date_nz');
            $table->dropColumn('date_nzv');
            $table->dropColumn('date_nn');
            $table->dropColumn('date_ro');
            $table->dropColumn('date_nnn');
        });
    }
}
