<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterDeConstructionSitesAddConnectionIdAndWorkOrderNumber extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('de_construction_sites', function (Blueprint $table) {
            $table->unsignedBigInteger('connection_id')->after('status_id')->nullable();
            $table->char('work_order_number')->after('connection_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_construction_sites', function (Blueprint $table) {
            $table->dropColumn('connection_id');
            $table->dropColumn('work_order_number');
        });
    }
}
