<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePovratniceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('povratnice', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('id_monter')->nullable();
            $table->unsignedBigInteger('id_magacioner')->nullable();
            $table->char('robu_preuzeo')->nullable();
            $table->char('naziv_firme')->nullable();
            $table->char('br_lk')->nullable();
            $table->char('reg_br')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('povratnice');
    }
}
