<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOpremaPovratnicaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('oprema_povratnica', function (Blueprint $table) {
            $table->unsignedBigInteger('id_oprema')->nullable();
            $table->unsignedBigInteger('id_povratnica')->nullable();
            $table->integer('kol')->nullable();
            $table->timestamps();
            $table->foreign('id_oprema')->references('id')->on('oprema')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_povratnica')->references('id')->on('povratnice')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('oprema_povratnica');
    }
}
