<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class MontiraniUredjajiTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('montirani_uredjaji', function (Blueprint $table) {
            $table->unsignedBigInteger('id_opticki_klijent')->after('id_klijent')->nullable();
            $table->foreign('id_opticki_klijent')->references('id')->on('klijenti_optika')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
