<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDeviceHistory extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('device_history', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('id_user')->nullable();
            $table->unsignedBigInteger('id_device')->nullable();
            $table->char('serijski_broj')->nullable();
            $table->unsignedBigInteger('id_klijent')->nullable();
            $table->unsignedBigInteger('id_opticki_klijent')->nullable();
            $table->unsignedBigInteger('id_supernova_klijent')->nullable();
            $table->unsignedBigInteger('id_bakar_klijent')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('device_history');
    }
}
