<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterConstructionPrices extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('construction_prices', function(Blueprint $table){
            $table->unsignedBigInteger('id_equipment')->after('id_currency')->nullable();
            $table->unsignedBigInteger('id_construction_work')->after('id_equipment')->nullable();
            $table->foreign('id_equipment')->references('id')->on('equipment')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_construction_work')->references('id')->on('construction_works')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
