<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterKlijentiProdaja extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('klijenti_prodaja', function(Blueprint $table){
            $table->unsignedBigInteger('fobos_id')->after('tip_klijenta')->nullable();
            $table->foreign('fobos_id')->references('id')->on('fobos')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
