<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterAdjustedDateDeviceHistory extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('device_history', function (Blueprint $table) {
           $table->dateTime('adjusted_date')->nullable()->after('vraceni');
           $table->dateTime('adjusted_return_date')->nullable()->after('adjusted_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('device_history', function (Blueprint $table) {
            $table->dropColumn('adjusted_date');
            $table->dropColumn('adjusted_return_date');
        });
    }
}
