<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class JmbgFieldPovratnaRoba extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('povratna_roba', function (Blueprint $table) {
            $table->char('jmbg')->nullable()->after('zamena');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('povratna_roba', function (Blueprint $table) {
            $table->dropColumn('jmbg');
        });
    }
}
