<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsActiveInOprema extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('oprema', function (Blueprint $table) {
            $table->tinyInteger('is_active')->default(1)->after('id_tip_opreme');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('oprema', function (Blueprint $table) {
            $table->dropColumn('is_active');
        });
    }
}
