<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterFilesIdHuawei extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('files', function(Blueprint $table){
            $table->unsignedBigInteger('id_huawei')->after('copper_client_id')->nullable();
            $table->foreign('id_huawei')->references('id')->on('huawei')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('files', function(Blueprint $table){
            $table->dropForeign('files_id_huawei_foreign');
            $table->dropColumn('id_huawei');
        });
    }
}
