<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHuaweiStatusesDefault extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('huawei_vertical_statuses', function (Blueprint $table) {
            $table->tinyInteger('default')->default(0)->after('status');
        });
        Schema::table('huawei_access_statuses', function (Blueprint $table) {
            $table->tinyInteger('default')->default(0)->after('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei_vertical_statuses', function (Blueprint $table) {
            $table->dropColumn('default');
        });
        Schema::table('huawei_access_statuses', function (Blueprint $table) {
            $table->dropColumn('default');
        });
    }
}
