<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRequiredEquipmentSupplied extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('required_equipment', function (Blueprint $table) {
            $table->tinyInteger('supplied')->default(0)->after('quantity');
            $table->unsignedBigInteger('supplied_by')->default(0)->after('supplied');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('required_equipment', function (Blueprint $table) {
            $table->dropColumn('supplied');
            $table->dropColumn('supplied_by');
        });
    }
}
