<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHwAccessWorksAddFixed extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('hw_access_works', function (Blueprint $table) {
            $table->tinyInteger('fixed')->after('unit_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hw_access_works', function (Blueprint $table) {
            $table->dropColumn('fixed');
        });
    }
}
