<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHuaweiAddOrderNo extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->tinyInteger('order_number')->after('approved_boq')->nullable();
            $table->char('set_dis')->after('order_number')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->dropColumn('order_number');
            $table->dropColumn('set_dis');
        });
    }
}
