<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterMontagePricesAddType extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('montage_prices', function (Blueprint $table) {
            $table->tinyInteger('type')->after('price')->nullable();
            $table->tinyInteger('optics_type')->after('type')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('montage_prices', function (Blueprint $table) {
            $table->dropColumn('type');
            $table->dropColumn('optics_type');
        });
    }
}
