<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRequiredEquipmentAddReady extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('required_equipment', function (Blueprint $table) {
            $table->tinyInteger('ready')->default(0)->after('supplied_to');
        });
        Schema::table('kir_required_equipment', function (Blueprint $table) {
            $table->tinyInteger('ready')->default(0)->after('supplied_to');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('required_equipment', function (Blueprint $table) {
            $table->dropColumn('ready');
        });
        Schema::table('kir_required_equipment', function (Blueprint $table) {
            $table->dropColumn('ready');
        });
    }
}
