<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterReversRobaAddStorageId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('revers_roba', function (Blueprint $table) {
            $table->unsignedBigInteger('storage_id')->after('id_uredjaj')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('revers_roba', function (Blueprint $table) {
            $table->dropColumn('storage_id');
        });
    }
}
