<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHuaweiAndKirAddTisEntryDate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->date('tis_entry_date')->after('price')->nullable();
        });
        Schema::table('kir', function (Blueprint $table) {
            $table->date('tis_entry_date')->after('price')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->dropColumn('tis_entry_date');
        });
        Schema::table('kir', function (Blueprint $table) {
            $table->dropColumn('tis_entry_date');
        });
    }
}
