<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRuneOpticsAddDelayDate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->date('delay_date')->after('withdrawal_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropColumn('delay_date');
        });
    }
}
