<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterFobosRuneAddReturned extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->tinyInteger('returned')->after('accepted')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->dropColumn('returned');
        });
    }
}
