@extends('layouts.app')
@section('content')

<section  class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__('Administrators and fitters')}} </h2>
    </header>
    <div class="panel-body">
        <table class="table table-bordered table-striped table-condensed mb-none">
            <thead>
                <th class="text-center">{{__('Worker')}}</th>
                <th class="text-center">{{__('Role')}}</th>
                <th class="text-center">{{__('Action')}}</th>
            </thead>
            @foreach($userData as $data)
            <tr>
                <td class="text-center">{{$data->username.' '.$data->usersurname}}</td>
                <td class="text-center">{{$data->rola}}</td>
                <td class="text-center"><a href="{{route('salary_index', ['user_id' => $data->id, 'username' => $data->username.' '.$data->usersurname])}}"><i class="fa fa-pencil"></i></a></td>
            </tr>
            @endforeach
        </table>

    </div>

</section>

@endsection