@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('campain.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add campaign")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Campaign")}} <span class="required">*</span></label>
                    <div class="col-lg-6 @if($errors->has('campain')){{'has-error'}} @endif">
                        <input type="text" name="campain" class="form-control" placeholder="" id="campain" spellcheck="false"/>
                        @if($errors->has('campain'))
                            <label for="campain" class="error">{{$errors->first('campain')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('campain.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection