@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$city->city}}</h2>
            <div class="panel-actions">
                <a href="/city/{{$city->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__("Edit")}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("City")}}: <div class="highlight">{{$city->city}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("State")}}: <div class="highlight">{{$city->state}}</div></p>
                </div>
            </div>
        </div>
    </section>

@endsection