@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("comId");
                $('#id_com').val(id);
            });

        });
    </script>


    <section class="panel">
        <div class="row">
            <div class="col-sm-4 col-md-12 col-lg-6">
                <div class="panel">
                    <div class="panel-heading">
                        <h2 class="panel-title">{{__('Commissions')}}</h2>
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-striped mb-none">
                                <thead>
                                    <th>{{__('No.')}}</th>
                                    <th>{{__('Packet')}}</th>
                                    <th>{{__('Packet type')}}</th>
                                    <th>{{__('Coefficient')}}</th>
                                    <th></th>
                                </thead>
                                <tbody>
                                @foreach($commissions as $rbr=>$com)
                                    <tr>
                                        <td>{{($rbr+1).'.'}}</td>
                                        <td>{{$com->naziv}}</td>
                                        <td>{{$com->vrsta}}</td>
                                        <td>{{$com->commission}}</td>
                                        <td>
                                            <a href="#deleteModal" class="modal-basic btn-delete" comId={{$com->id}}><i class="fa fa-trash-o"></i></a>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('commission.destroy')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_com" value="" id="id_com">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
