@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$currency->currency}}</h2>
            <div class="panel-actions">
                <a href="/currency/{{$currency->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Currency")}}: <div class="highlight">{{$currency->currency}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Currency")}} {{__("short")}}: <div class="highlight">{{$currency->currency_short}}</div></p>
                </div>
            </div>
        </div>
    </section>

@endsection