@extends('layouts.app')
@section('content')
<section class="panel"  id="range_form">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Current price")}}: {{$currentPrice}} </h2>
    </header>
    <form method="post" class="form-horizontal mb-lg" action="{{route('set_target')}}">
        @csrf
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Price")}}</label>
                <div class="col-md-4">
                    <input class="form-control" type="text" name="price">
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button class="btn btn-primary" type="submit">{{__('Apply')}}</button>
                </div>
            </div>
        </footer>
    </form>
</section>
@endsection