@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$device->uredjaj}}</h2>
            <div class="panel-actions">
                <a href="/device/{{$device->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-6">
                    <p>{{__("Device")}}: <div class="highlight">{{$device->uredjaj}}</div></p>
                </div>
                <div class="col-md-6">
                    <p>{{__("Type")}}: <div class="highlight">{{$device->type}}</div></p>
                </div>
                <div class="col-md-6">
                    <p>{{__("Category")}}: <div class="highlight">{{$device->category}}</div></p>
                </div>
                <div class="col-md-6">
                    <p>{{__("Origin")}}: <div class="highlight">{{$device->origin}}</div></p>
                </div>
                <div class="col-md-6">
                    <p>{{__("Price")}}: <div class="highlight">{{$device->price}}</div></p>
                </div>
            </div>
        </div>
    </section>

@endsection