@extends('layouts.app')

@section('content')

<section class="panel">
    <form id="form" method="get" action="{{route('fobos_copper_search_result')}}" class="form-horizontal">
        {{ csrf_field() }}
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>
                <h2 class="panel-title">{{__("Filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">Cust_ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id" class="form-control" placeholder="" id="cust_id" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Distributor")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="distributor" class="form-control" placeholder="" id="distributor" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="town" class="form-control" placeholder="" id="town" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Subsettlement")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="subsettlement" class="form-control" placeholder="" id="subsettlement" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Street")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} BOX </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="expiration_date_box" class="form-control date-picker" placeholder="" id="expiration_date_box"  spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Resource")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="resource" class="form-control" placeholder="" id="resource" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Max NET </label>
                    <div class="col-sm-3">
                        <input type="text" name="max_net" class="form-control" placeholder="" id="max_net" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Number of stb devices")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="stb_no" class="form-control" placeholder="" id="stb_no" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">TOTAL STB BOX</label>
                    <div class="col-sm-3">
                        <input type="text" name="total_stb_box" class="form-control" placeholder="" id="total_stb_box" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Postpaid {{__("number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="postpaid_number" class="form-control" placeholder="" id="postpaid_number" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} postpaid {{__("contract")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="postpaid_expiration_date" class="form-control date-picker" placeholder="" id="postpaid_expiration_date"  spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Benefit")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="benefit" class="form-control" placeholder="" id="benefit" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Postpaid {{__("tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="postpaid_tariff" class="form-control" placeholder="" id="postpaid_tariff" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="recommended_tariff" class="form-control" placeholder="" id="recommended_tariff" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}} (adsl) </label>
                    <div class="col-sm-3">
                        <input type="text" name="name_adsl" class="form-control" placeholder="" id="name_adsl" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_adsl" class="form-control" placeholder="" id="surname_adsl" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">Cust_ID (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id_adsl" class="form-control" placeholder="" id="cust_id_adsl" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} (adsl) </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="expiration_date_adsl" class="form-control date-picker" placeholder="" id="expiration_date_adsl"  spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_adsl" class="form-control" placeholder="" id="campain_adsl" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Speed")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="speed_adsl" class="form-control" placeholder="" id="speed_adsl" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Modem type")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="modem_type" class="form-control" placeholder="" id="modem_type" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Free pairs")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="free_pair" class="form-control" placeholder="" id="free_pair" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Free")}} ADSL</label>
                    <div class="col-sm-3">
                        <input type="text" name="free_adsl" class="form-control" placeholder="" id="free_adsl" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Free")}} VDSL </label>
                    <div class="col-sm-3">
                        <input type="text" name="free_vdsl" class="form-control" placeholder="" id="free_vdsl" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="name_iptv" class="form-control" placeholder="" id="name_iptv" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_iptv" class="form-control" placeholder="" id="surname_iptv" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Cust_ID (iptv) </label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id_iptv" class="form-control" placeholder="" id="cust_id_iptv" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} (iptv)</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="iptv_expiration_date" class="form-control date-picker" placeholder="" id="iptv_expiration_date"  spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} (vdsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_vdsl" class="form-control" placeholder="" id="campain_vdsl" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_packet" class="form-control" placeholder="" id="iptv_packet" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("First offer")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Second offer")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="second_offer" class="form-control" placeholder="" id="second_offer" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Other operators")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="other_operators" class="form-control" placeholder="" id="other_operators" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Connection date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="connection_date" class="form-control date-picker" placeholder="" id="connection_date"  spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Box 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="box2" class="form-control" placeholder="" id="box2" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">Box 3</label>
                    <div class="col-sm-3">
                        <input type="text" name="box3" class="form-control" placeholder="" id="box3" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">Box 4</label>
                    <div class="col-sm-3">
                        <input type="text" name="box4" class="form-control" placeholder="" id="box4" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Campaign")}} BOX </label>
                    <div class="col-sm-3">
                        <select name="campain_box" id="campain_box" class="form-control populate">
                            <option value="">-- {{__("Campaign")}} --</option>
                            @foreach($campains as $campain)
                                <option value="{{$campain->id}}">{{$campain->campain}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">Postpaid {{__("tariff")}}</label>
                    <div class="col-sm-3">
                        <select name="postpaid_tariff_box" id="postpaid_tariff_box" class="form-control populate">
                            <option value="">-- {{__("tariff")}} --</option>
                            @foreach($postpaidTarrifs as $tariff)
                                <option value="{{$tariff->id}}">{{$tariff->tariff}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">ADSL</label>
                    <div class="col-sm-3">
                        <input type="text" name="adsl" class="form-control" placeholder="" id="adsl" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Campaign")}} ADSL solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_adsl_solo" class="form-control" placeholder="" id="campain_adsl_solo" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Speed")}} ADSL solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="speed_adsl_solo" class="form-control" placeholder="" id="speed_adsl_solo" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">IPTV</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv" class="form-control" placeholder="" id="iptv" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">IPTV solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_solo" class="form-control" placeholder="" id="iptv_solo" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} IPTV solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_iptv_solo" class="form-control" placeholder="" id="campain_iptv_solo" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status")}}</label>
                    <div class="col-sm-3">
                        <select name="status" id="status" class="form-control populate">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Points")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller" id="seller" class="form-control populate">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seller)
                                <option value="{{$seller->id}}">{{$seller->ime.' '.$seller->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                    <div class="col-sm-3">
                        <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false"></textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Accepted")}} </label>>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="accepted" data-plugin-ios-switch />
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                        <a href="{{route('fobos_copper.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
    </form>
</section>

@endsection