@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        @if($isProjectManager || $isFitter || $isProjectAdmin || $isConstructionWorker)
        document.getElementById('name'). readOnly = true;
        document.getElementById('seller'). readOnly = true;
        document.getElementById('contact_seller'). readOnly = true;
        document.getElementById('tel1'). readOnly = true;
        document.getElementById('tel2'). readOnly = true;
        document.getElementById('tel3'). readOnly = true;
        document.getElementById('tel3'). readOnly = true;
        document.getElementById('manager'). readOnly = true;
        document.getElementById('m_tel1'). readOnly = true;
        document.getElementById('m_tel2'). readOnly = true;
        document.getElementById('m_tel3'). readOnly = true;
        $('#state').prop('disabled', true);
        document.getElementById('city'). readOnly = true;
        document.getElementById('municipality'). readOnly = true;
        $('#area').prop('disabled', true);
        document.getElementById('address'). readOnly = true;
        document.getElementById('number_of_floors'). readOnly = true;
        document.getElementById('number_of_flats'). readOnly = true;
        @if(!$isProjectAdmin)
            $('#project_manager').prop('disabled', true);
        @endif
        $('#construction_manager').prop('disabled', true);
        $('#worker_access').prop('disabled', true);
        $('#worker_vertical').prop('disabled', true);
        $('#worker_splicing').prop('disabled', true);
        document.getElementById('appointment_date_access'). readOnly = true;
        document.getElementById('appointment_time_access'). readOnly = true;
        document.getElementById('appointment_date_vertical'). readOnly = true;
        document.getElementById('appointment_time_vertical'). readOnly = true;
        document.getElementById('delay_date'). readOnly = true;
        document.getElementById('delay_time'). readOnly = true;
        document.getElementById('realization_date_access'). readOnly = true;
        document.getElementById('realization_date_vertical'). readOnly = true;
        document.getElementById('withdrawal_date'). readOnly = true;
        @endif
        @if($isProjectManager)
        $('#equipment').prop('disabled', true);
        // $('#work_category').prop('disabled', true);
        $('#work').prop('disabled', true);
        document.getElementById('equipment_quantity'). readOnly = true;
        document.getElementById('work_quantity'). readOnly = true;
        @endif
        @if($isFitter)
        document.getElementById('cluster'). readOnly = true;
        document.getElementById('odo'). readOnly = true;
        document.getElementById('izvod'). readOnly = true;
        document.getElementById('connector'). readOnly = true;
        document.getElementById('technical_solution_date'). readOnly = true;
        document.getElementById('atc_msan_olt'). readOnly = true;
        document.getElementById('odf_modul'). readOnly = true;
        document.getElementById('connector_number'). readOnly = true;
        document.getElementById('connection_point'). readOnly = true;
        document.getElementById('fiber'). readOnly = true;
        document.getElementById('numeration_odo'). readOnly = true;
        @endif
        $('#equipment_category').val(0);
        $('#work_category').val(0);
        // @if(!$isAdmin && !$isConstructionManager && !$isHuaweiAdmin)
        //     $('#equipment_category').attr('disabled', true);
        // @endif
        // $('#equipment_category').change(function(){
        //     $('#equipment').val(0);
        //     if($(this).val() != ''){
        //         var route = $(this).attr('route');
        //         var id = $(this).val();
        //         var dependent = $(this).data('dependent');
        //         var _token = $('input[name="_token"]').val();
        //         $.ajax({
        //             type	:	"POST",
        //             cache	: 	false,
        //             url		:	route,
        //             data    :   {
        //                 "_token" : _token,
        //                 'id'  : id
        //             },
        //             success	: function(result){
        //                 $('#'+dependent).html(result);
        //             }

        //         });
        //     }
        // });
        $('#worker').change(function(){
            // if($(this).val() != ''){
            //     $('#equipment_category').attr('disabled', true);
            // }
            // else {
            //     $('#equipment_category').attr('disabled', false);
            // }

            $('#equipment').val(0);
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });
        $('.btn-vertical-work').click(function(){
            var workId = $(this).attr('workId');
            var operation = $(this).data('operation');
            $('#vertical_work_id').val(workId);
            $('#operation').val(operation);
        });
        $('.btn-access-work').click(function(){
            var workId = $(this).attr('workId');
            var operation = $(this).data('operation');
            $('#access_work_id').val(workId);
            $('#access_operation').val(operation);
        });
        $('.btn-doc-work').click(function(){
            var workId = $(this).attr('workId');
            var operation = $(this).data('operation');
            $('#doc_work_id').val(workId);
            $('#doc_operation').val(operation);
        });
        $('#work_category').change(function(){
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token"    : _token,
                        'id'        : id,
                        'param'     : 'kir'
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });

        $('.btn-equipment').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idEquipment = $('#equipment').val();
            var quantity = $('#equipment_quantity').val();
            var worker = $('#worker').val();
            var instead_worker = $('#instead_worker').is(':checked');
            var idSite = "{{$site->id}}";
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'idEquipment' : idEquipment,
                    'quantity' : quantity,
                    'id_site' : idSite,
                    '_token' : _token,
                    'worker' : worker,
                    'instead_worker' : instead_worker
                },
                success	: function(result){
                    if(result){
                        alert(result);
                    }
                    else{
                        $('#worker').val(0);
                        document.location.reload();
                    }

                }

            });
        });
        $('.btn-required-equipment').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idEquipment = $('#equipment').val();
            var quantity = $('#equipment_quantity').val();
            var idSite = "{{$site->id}}";
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'equipment_id' : idEquipment,
                    'quantity' : quantity,
                    'site_id' : idSite,
                    '_token' : _token,
                    'param' : 'kir'
                },
                success	: function(result){
                    document.location.reload();
                }

            });
        });
        $('.btn-work').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idWork = $('#work').val();
            var quantity = $('#work_quantity').val();
            var idSite = "{{$site->id}}";
            var param = $(this).attr('param');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'idWork' : idWork,
                    'quantity' : quantity,
                    'id_site' : idSite,
                    '_token' : _token,
                    'param' : param
                },
                success	: function(result){
                    document.location.reload();
                }
            });
        });

        $('.btn-delete-comment').click(function () {
            var id = $(this).attr("commentId");
            $('#id_comment').val(id);
        });

        $('.btn-delete-image').click(function () {
            var id = $(this).attr("imageId");
            $('#id_image').val(id);
        });

        $('.btn-delete-file').click(function () {
            var id = $(this).attr("fileId");
            $('#id_file').val(id);
        });

        $('.btn-delete-e-w').click(function () {
            var param = $(this).attr('param');
            var id = $(this).attr("ewId");
            if(param == 'access-work'){
                $('#id_access_work').val(id);
                $('#id_equipment').val('');
            }
            else {
                $('#id_equipment').val(id);
                $('#id_access_work').val('');
            }
        });
        $('.btn-delete-r-e').click(function(){
            var id = $(this).attr("reId");
            $('#required_equipment_id').val(id);
        });
        $('.btn-take-back').click(function(){
            var id = $(this).attr("tbId");
            $('#tb_equipment_id').val(id);
        });

    });
</script>
    <section class="panel">
        <form id="form" method="post" action="{{ route('kir.update', [$site->id]) }}" class="form-horizontal" enctype="multipart/form-data">
            @csrf
            <input type="hidden" name="_method" value="put">
            <header class="panel-heading">
                <div class="panel-actions">
                    <a href="{{route('kir.index').'/'.$site->id}}"><button type="button" class="btn btn-info"><i class="fa fa-info-circle"></i></button></a>
                    <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
                </div>
                <h2 class="panel-title">{{__('Edit construction site')}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Client')}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{$site->name}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Seller')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="seller" class="form-control" placeholder="" id="seller" spellcheck="false" value="{{$site->seller}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Seller contact')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="contact_seller" class="form-control" placeholder="" id="contact_seller" spellcheck="false" value="{{$site->contact_seller}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 1 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$site->tel1}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$site->tel2}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="false" value="{{$site->tel3}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Manager')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="manager" class="form-control" placeholder="" id="manager" spellcheck="false" value="{{$site->manager}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 1 {{__('Manager')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="m_tel1" class="form-control" placeholder="" id="m_tel1" spellcheck="false" value="{{$site->m_tel1}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 {{__('Manager')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="m_tel2" class="form-control" placeholder="" id="m_tel2" spellcheck="false" value="{{$site->m_tel2}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 {{__('Manager')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="m_tel3" class="form-control" placeholder="" id="m_tel3" spellcheck="false" value="{{$site->m_tel3}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{trans_choice('States|State', 2)}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="state" id="state">
                            <option value="">-- {{__("State")}} --</option>
                            @foreach($states as $s)
                                <option value="{{$s->id}}" @if($site->id_state == $s->id){{'selected'}} @endif>{{$s->state}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="city" id="city">
                            <option value="">-- {{__("City")}} --</option>
                            @foreach($cities as $city)
                                <option value="{{$city->id}}" @if($site->id_city == $city->id){{'selected'}} @endif>{{$city->city}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Municipality')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="municipality" class="form-control" placeholder="" id="municipality" spellcheck="false" value="{{$site->municipality}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Address')}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="false" value="{{$site->address}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Number of floors')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="number_of_floors" class="form-control" placeholder="" id="number_of_floors" spellcheck="false" value="{{$site->number_of_floors}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Number of flats')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="number_of_flats" class="form-control" placeholder="" id="number_of_flats" spellcheck="false" value="{{$site->number_of_flats}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Area")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="area" id="area">
                            <option value="">-- {{__("Area")}} --</option>
                            @foreach($areas as $area)
                                <option value="{{$area->id}}" @if($site->id_area == $area->id){{'selected'}} @endif>{{$area->area}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Status access')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status_access" id="status_access">
                            <option value="">-- {{__('Status access')}} --</option>
                            @foreach($statusesAccess as $status)
                                <option value="{{$status->id}}" @if($site->id_status_access == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Status vertical')}}</label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status_vertical" id="status_vertical">
                            <option value="">-- {{__('Status vertical')}} --</option>
                            @foreach($statusesVertical as $status)
                                <option value="{{$status->id}}" @if($site->id_status_vertical == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Status splicing')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status_splicing" id="status_splicing">
                            <option value="">-- {{__('Status splicing')}} --</option>
                            @foreach($statusesAccess as $status)
                                <option value="{{$status->id}}" @if($site->id_status_splicing == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Final status')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="final_status" id="final_status">
                            <option value="">-- {{__('Final status')}} --</option>
                            @foreach($finalStatuses as $status)
                                <option value="{{$status->id}}" @if($site->id_status_final == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Project manager')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="project_manager" id="project_manager">
                            <option value="">-- {{__('Project manager')}} --</option>
                            @foreach($projectManagers as $pmng)
                                <option value="{{$pmng->id}}" @if($site->project_manager == $pmng->id){{'selected'}} @endif>{{$pmng->ime.' '.$pmng->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Construction manager')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="construction_manager" id="construction_manager">
                            <option value="">-- {{__('Construction manager')}} --</option>
                            @foreach($constructionManagers as $cmng)
                                <option value="{{$cmng->id}}" @if($site->construction_manager == $cmng->id){{'selected'}} @endif>{{$cmng->ime.' '.$cmng->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Worker (access)')}}</label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker_access" id="worker_access">
                            <option value="">-- {{__('Worker')}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}" @if($site->id_user_access == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Worker (vertical)')}}</label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker_vertical" id="worker_vertical">
                            <option value="">-- {{__('Worker')}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}" @if($site->id_user_vertical == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Worker (splicing)')}}</label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker_splicing" id="worker_splicing">
                            <option value="">-- {{__('Worker')}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}" @if($site->id_user_splicing == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("DIS start date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="dis_start_date" class="form-control date-picker" placeholder="" id="dis_start_date" value="@if($site->dis_start_date)
                            {{date('d.m.Y.', strtotime($site->dis_start_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('DIS end date')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="dis_end_date" class="form-control date-picker" placeholder="" id="dis_end_date" value="@if($site->dis_end_date)
                            {{date('d.m.Y.', strtotime($site->dis_end_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Set DIS')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="set_dis" class="form-control" placeholder="" id="set_dis" spellcheck="false" value="{{$site->set_dis}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Comment')}} </label>
                    <div class="col-sm-3">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false"></textarea>
                    </div>
                </div>
                @if($isSuperAdmin)
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Sent BoQ')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="sent_boq" class="form-control" placeholder="" id="sent_boq" spellcheck="false" value="{{$site->sent_boq}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Approved BoQ')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="approved_boq" class="form-control" placeholder="" id="approved_boq" spellcheck="false" value="{{$site->approved_boq}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("BoQ send date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="boq_send_date" class="form-control date-picker" placeholder="" id="boq_send_date" value="@if($site->boq_send_date)
                            {{date('d.m.Y.', strtotime($site->boq_send_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("BoQ date of approval")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="boq_approve_date" class="form-control date-picker" placeholder="" id="boq_approve_date" value="@if($site->boq_approve_date)
                            {{date('d.m.Y.', strtotime($site->boq_approve_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Correction date start")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="correction_date_start" class="form-control date-picker" placeholder="" id="correction_date_start" value="@if($site->correction_date_start)
                            {{date('d.m.Y.', strtotime($site->correction_date_start))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Correction date end")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="correction_date_end" class="form-control date-picker" placeholder="" id="correction_date_end" value="@if($site->correction_date_end)
                            {{date('d.m.Y.', strtotime($site->correction_date_end))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                @endif
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Appointment date (access)')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="appointment_date_access" class="form-control date-picker" placeholder="" id="appointment_date_access" value="@if($site->appointment_date_access)
                            {{date('d.m.Y.', strtotime($site->appointment_date_access))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Time')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="appointment_time_access" name="appointment_time_access"
                                   value="@if($site->appointment_date_access){{date('H:i', strtotime($site->appointment_date_access))}} @endif">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Appointment date (vertical)')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="appointment_date_vertical" class="form-control date-picker" placeholder="" id="appointment_date_vertical" value="@if($site->appointment_date_vertical)
                            {{date('d.m.Y.', strtotime($site->appointment_date_vertical))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Time')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="appointment_time_vertical" name="appointment_time_vertical"
                                   value="@if($site->appointment_date_vertical){{date('H:i', strtotime($site->appointment_date_vertical))}} @endif">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Appointment date (splicing)')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="appointment_date_splicing" class="form-control date-picker" placeholder="" id="appointment_date_splicing" value="@if($site->appointment_date_splicing)
                            {{date('d.m.Y.', strtotime($site->appointment_date_splicing))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Time')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="appointment_time_splicing" name="appointment_time_splicing"
                                   value="@if($site->appointment_date_splicing){{date('H:i', strtotime($site->appointment_date_splicing))}} @endif">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Delay date')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="delay_date" class="form-control date-picker" placeholder="" id="delay_date" value="@if($site->delay_date)
                            {{date('d.m.Y.', strtotime($site->delay_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Time')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="delay_time" name="delay_time"
                                   value="@if($site->delay_date){{date('H:i', strtotime($site->delay_date))}} @endif">
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Withdrawal date')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date" value="@if($site->withdrawal_date)
                            {{date('d.m.Y.', strtotime($site->withdrawal_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Realization date (access)')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="realization_date_access" class="form-control date-picker" placeholder="" id="realization_date_access" value="@if($site->realization_date_access)
                            {{date('d.m.Y.', strtotime($site->realization_date_access))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Realization date (vertical)')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="realization_date_vertical" class="form-control date-picker" placeholder="" id="realization_date_vertical" value="@if($site->realization_date_vertical)
                            {{date('d.m.Y.', strtotime($site->realization_date_vertical))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Realization date').' ('.__('splicing').')'}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="realization_date_splicing" class="form-control date-picker" placeholder="" id="realization_date_splicing" value="@if($site->realization_date_splicing)
                            {{date('d.m.Y.', strtotime($site->realization_date_splicing))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Cluster')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="cluster" id="cluster">
                            <option value="">-- {{__("Cluster")}} --</option>
                            @foreach($clusters as $cluster)
                                <option value="{{$cluster->id}}" @if($site->cluster == $cluster->id){{'selected'}} @endif>{{$cluster->cluster}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">Odo </label>
                    <div class="col-sm-3">
                        <input type="text" name="odo" class="form-control" placeholder="" id="odo" spellcheck="false" value="{{$site->odo}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Izvod </label>
                    <div class="col-sm-3">
                        <input type="text" name="izvod" class="form-control" placeholder="" id="izvod" spellcheck="false" value="{{$site->izvod}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Connector')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="connector" class="form-control" placeholder="" id="connector" spellcheck="false" value="{{$site->connector}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Technical solution date')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="technical_solution_date" class="form-control date-picker" placeholder="" id="technical_solution_date" value="@if($site->technical_solution_date)
                            {{date('d.m.Y.', strtotime($site->technical_solution_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">ATC/MSAN/OLT</label>
                    <div class="col-sm-3">
                        <input type="text" name="atc_msan_olt" class="form-control" placeholder="" id="atc_msan_olt" spellcheck="false" value="{{$site->atc_msan_olt}}"/>
                    </div>
                    <label class="col-sm-1 control-label">ODF/Modul </label>
                    <div class="col-sm-3">
                        <input type="text" name="odf_modul" class="form-control" placeholder="" id="odf_modul" spellcheck="false" value="{{$site->odf_modul}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Connector number')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="connector_number" class="form-control" placeholder="" id="connector_number" spellcheck="false" value="{{$site->connector_number}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Connection point')}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="connection_point" class="form-control" placeholder="" id="connection_point" spellcheck="false" value="{{$site->connection_point}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Fiber')}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="fiber" class="form-control" placeholder="" id="fiber" spellcheck="false" value="{{$site->fiber}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Numeration odo')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="numeration_odo" class="form-control" placeholder="" id="numeration_odo" spellcheck="false" value="{{$site->numeration_odo}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Image type')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="image_type" id="image_type">
                            <option value="">-- {{__('Image type')}} --</option>
                            @foreach($imageTypes as $type)
                                <option value="{{$type->id}}">{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Images")}}</label>
                    <div class="col-sm-6">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__('Change')}}</span>
                                    <span class="fileupload-new">{{__('Choose file')}}</span>
                                    <input type="file" id="pictures" name="pictures[]" multiple>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    @if($isSuperAdmin  || $isAdmin || $isHuaweiAdmin)
                    <label class="col-sm-1 control-label">{{__('Insert instead worker')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker" id="worker" route="{{route('worker_equipment_populate')}}" data-dependent="equipment">
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}" <?php if ($worker->id == $site->id_user) echo 'selected = "selected"' ?>>{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    @endif
                    <label class="col-sm-1 control-label">{{__('Files')}}</label>
                    <div class="col-sm-6">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__('Change')}}</span>
                                    <span class="fileupload-new">{{__('Choose file')}}</span>
                                    <input type="file" id="files" name="files[]" multiple>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class='form-group'>
                    {{-- <label class="col-sm-1 control-label">{{__('Category')}} </label>
                    <div class="col-sm-3">
                    <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category" 
                    route="{{route('equipment_populate')}}" data-dependent="equipment">
                            <option value="0">-- {{__('Choose category')}} --</option>
                            @foreach($equipmentCategories as $cat)
                                <option value="{{$cat->id}}">{{$cat->category}}</option>
                            @endforeach
                        </select>
                    </div> --}}
                    <label class="col-sm-1 control-label">{{__('Equipment')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                            <option value="">-- {{__('Choose equipment')}} --</option>
                            @foreach($workerEquipment as $equip)
                                <option value="{{$equip->id}}">{{$equip->naziv}} @isset($equip->quantity)(kom: {{$equip->quantity}})@endif</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Quantity')}}</label>
                    <div class="col-sm-1">
                        <input type="text" class="form-control" name="equipment_quantity" id="equipment_quantity">
                    </div>
                    <div class="col-sm-1 btn-group">
                    <button type="button" class="btn btn-sm btn-success btn-equipment" route="{{route('add_construction_equipment')}}"
                            data-toggle="tooltip" data-placement="top"
                            data-original-title="{{__('Add equipment')}}">
                            <i class="fa fa-plus"></i>
                    </button>
                    @if($isAdmin || $isHuaweiAdmin || $isConstructionManager)
                    <button type="button" class="btn btn-sm btn-primary btn-required-equipment" route="{{route('add_required_equipment')}}"
                            data-toggle="tooltip" data-placement="top"
                            data-original-title="{{__('Require equipment')}}">
                        <i class="fa fa-plus"></i>
                    </button>
                    @endif
                    </div>
                </div>
                <div class='form-group'>
                    <label class="col-sm-1 control-label">{{__('Work type')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate dynamic" data-plugin-selectTwo name="work_category" id="work_category" 
                        route="{{route('work_populate')}}" data-dependent="work">
                            <option value="0">-- {{__('Choose category')}} --</option>
                            @foreach($workCategories as $cat)
                                <option value="{{$cat->id}}">{{$cat->category}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Works')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="work" id="work">
                            <option value="">-- {{__('Choose work')}} --</option>
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Quantity')}}</label>
                    <div class="col-sm-1">
                        <input type="text" class="form-control" name="work_quantity" id="work_quantity">
                    </div>
                    <div class="col-sm-1 btn-group">
                        <button type="button" class="btn btn-sm btn-warning btn-work" route="{{route('add_construction_work')}}" param='access'
                            data-toggle="tooltip" data-placement="top"
                            data-original-title="{{__('Add work')}}">
                            <i class="fa fa-plus"></i>
                        </button>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-1 control-label">{{__("TIS entry date")}}</div>
                    <div class="col-sm-3">
                        <input type="text" name="tis_entry_date" class="form-control date-picker" placeholder="" id="tis_entry_date" spellcheck="false" 
                        value="@if($site->tis_entry_date){{date('d.m.Y.', strtotime($site->tis_entry_date))}} @endif"/>
                    </div>
                    @if($isSuperAdmin)
                    <label class="col-sm-1 control-label">{{__('Price correction')}}</label>
                    <div class="col-sm-3">
                        <input type="text" id="price" name="price" class="form-control">
                    </div>
                    @endif
                </div>
            </div>
        </form>
    </section>
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Comments')}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{__('comment')}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$comment->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__('Images')}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                <div class="col-md-2" style="overflow: auto;">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description}}" rel="group1">
                            <div class="img-responsive">
                                <img src="{{$img->url}}" width="105">
                            </div>
                        </a>
                    </div>
                    <div class="btn-group">
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$img->id}}" data-param="construction"><i class="fa fa-rotate-right"></i></button>
                    </div>
                </div>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__('Files')}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                        @if($isSuperAdmin)
                            <a href="#deleteFileModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-file" style="color:red" fileId="{{$file->id}}"><i class="fa fa-trash-o"></i></a>
                        @endif
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$requiredEquipment->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Equipment requirement')}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__('Code')}}</th>
                            <th>{{__('Equipment')}}</th>
                            <th>{{__('Quantity')}}</th>
                            <th>{{__('Requires')}}</th>
                            @if($isSuperAdmin || $isHuaweiAdmin)
                            <th></th>
                            @endif
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($requiredEquipment as $requip)
                            <tr class="gradeX">
                                <td>{{$requip->code}}</td>
                                <td>{{$requip->equipment}}</td>
                                <td>{{$requip->quantity}}</td>
                                <td>{{$requip->name.' '.$requip->surname}}</td>
                                @if($isSuperAdmin || $isHuaweiAdmin)
                                <td class="btn-center">
                                    <a href="#deleteRequiredEquipment" class="modal-basic mb-xs mt-xs mr-xs btn-delete-r-e" style="color:red"
                                       data-toggle="tooltip" data-placement="top" reId="{{$requip->id}}"
                                       data-original-title="{{__('Delete')}}"><i class="fa fa-trash-o"></i></a>
                                </td>
                                @endif
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

    @if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Equipment')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Code')}}</th>
                        <th>{{__('Equipment')}}</th>
                        <th>{{__('Quantity')}}</th>
                        @if($isSuperAdmin || $isHuaweiAdmin)
                        <th></th>
                        @endif
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipment as $equip)
                        <tr class="gradeX">
                            <td>{{$equip->code}}</td>
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->quantity}}</td>
                            @if($isSuperAdmin || $isHuaweiAdmin)
                            <td class="btn-center">
                                <a href="#deleteEquipment" class="modal-basic mb-xs mt-xs mr-xs btn-delete-e-w" style="color:red"
                                    data-toggle="tooltip" data-placement="top" param="equipment" ewId="{{$equip->id_equipment}}"
                                    data-original-title="{{__('Delete')}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                            @endif
                            {{--@if($isFitter)--}}
                                {{--<td class="btn-center">--}}
                                    {{--<a href="#takeBack" class="modal-basic mb-xs mt-xs mr-xs btn-take-back" style="color:red"--}}
                                       {{--data-toggle="tooltip" data-placement="top" tbId="{{$equip->id_equipment}}"--}}
                                       {{--data-original-title="{{__('Take back')}}"><i class="fa fa-backward"></i></a>--}}
                                {{--</td>--}}
                            {{--@endif--}}
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!$accessWorks->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Works')}} {{__('(ACCESS)')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Code')}}</th>
                        <th>{{__('Works')}}</th>
                        <th>{{__('Unit')}}</th>
                        <th>{{__('Quantity')}}</th>
                        @if($isSuperAdmin)
                        <th></th>
                        @endif
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($accessWorks as $work)
                        <tr class="gradeX">
                            <td>{{$work->code}}</td>
                            <td>{{$work->work}}</td>
                            <td>{{$work->unit_short}}</td>
                            <td>{{$work->quantity}}</td>
                            @if($isSuperAdmin || $isConstructionManager)
                            <td class="btn-center">
                                <a href="#deleteEquipment" class="modal-basic mb-xs mt-xs mr-xs btn-delete-e-w"  style="color:red"
                                    data-toggle="tooltip" data-placement="top" param="access-work" ewId="{{$work->access_work_id}}"
                                    data-original-title="{{__('Delete')}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                            @endif
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!empty($accessWorksFixed))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title"><strong>{{__('Works')}} ({{__('Construction')}}) - {{__("Fixed")}}</strong></h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__('Code')}}</th>
                            <th>{{__('Works')}}</th>
                            <th>{{__('Unit')}}</th>
                            <th>{{__('Quantity')}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($accessWorksFixed as $work)
                            <tr class="gradeX">
                                <td>{{$work['code']}}</td>
                                <td>{{$work['work']}}</td>
                                <td>{{$work['unit']}}</td>
                                <td>{{$work['quantity']}}</td>
                                <td class="btn-center">
                                    <div class="btn-group">
                                        <a href="#accessWorksModal" class="modal-basic" name='aWorks'><button type="button" class="btn btn-sm btn-success btn-access-work"
                                                        data-toggle="tooltip" data-placement="top" data-operation="plus" data-original-title="{{__('Add work')}}"
                                                        workId="{{$work['id']}}">
                                                <i class="fa fa-plus"></i>
                                            </button></a>
                                        <a href="#accessWorksModal" class="modal-basic"><button type="button" class="btn btn-sm btn-danger btn-access-work"
                                                        data-toggle="tooltip" data-placement="top" data-operation="minus" data-original-title="{{__('Remove work')}}"
                                                        workId="{{$work['id']}}">
                                                <i class="fa fa-minus"></i>
                                            </button></a>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif
    @if(!empty($verticalWorks))
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title"><strong>{{__('Works')}} ({{__('Splicing')}} {{__("Fixed")}})</strong></h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Code')}}</th>
                        <th>{{__('Works')}}</th>
                        <th>{{__('Unit')}}</th>
                        <th>{{__('Quantity')}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($verticalWorks as $work)
                        <tr class="gradeX">
                            <td>{{$work['code']}}</td>
                            <td>{{$work['work']}}</td>
                            <td>{{$work['unit']}}</td>
                            <td>{{$work['quantity']}}</td>
                            <td class="btn-center">
                                <div class="btn-group">
                                    <a href="#verticalWorksModal" class="modal-basic" name='vWorks'><button type="button" class="btn btn-sm btn-success btn-vertical-work"
                                            data-toggle="tooltip" data-placement="top" data-operation="plus" data-original-title="{{__('Add work')}}"
                                            workId="{{$work['id']}}">
                                        <i class="fa fa-plus"></i>
                                    </button></a>
                                    <a href="#verticalWorksModal" class="modal-basic"><button type="button" class="btn btn-sm btn-danger btn-vertical-work"
                                            data-toggle="tooltip" data-placement="top" data-operation="minus" data-original-title="{{__('Remove work')}}"
                                            workId="{{$work['id']}}">
                                        <i class="fa fa-minus"></i>
                                    </button></a>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!empty($docWorksFixed))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title"><strong>{{__('Works')}} ({{__('Documentation')}}) - {{__("Fixed")}}</strong></h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__('Code')}}</th>
                            <th>{{__('Works')}}</th>
                            <th>{{__('Unit')}}</th>
                            <th>{{__('Quantity')}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($docWorksFixed as $work)
                            <tr class="gradeX">
                                <td>{{$work['code']}}</td>
                                <td>{{$work['work']}}</td>
                                <td>{{$work['unit']}}</td>
                                <td>{{$work['quantity']}}</td>
                                <td class="btn-center">
                                    <div class="btn-group">
                                        <a href="#docWorksModal" class="modal-basic" name='dWorks'><button type="button" class="btn btn-sm btn-success btn-doc-work"
                                                data-toggle="tooltip" data-placement="top" data-operation="plus" data-original-title="{{__('Add work')}}"
                                                workId="{{$work['id']}}">
                                                <i class="fa fa-plus"></i>
                                            </button></a>
                                        <a href="#docWorksModal" class="modal-basic"><button type="button" class="btn btn-sm btn-danger btn-doc-work"
                                                data-toggle="tooltip" data-placement="top" data-operation="minus" data-original-title="{{__('Remove work')}}"
                                                workId="{{$work['id']}}">
                                                <i class="fa fa-minus"></i>
                                            </button></a>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_comment')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('comment')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_construction_image')}}">
            <input type="hidden" name="id_image" id="id_image">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete image?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_file')}}">
            <input type="hidden" name="id_file" id="id_file">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('file')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteEquipment" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('kir_delete_equipment_works')}}">
            <input type="hidden" name="required_equipment_id" id="required_equipment_id" value="">
            <input type="hidden" name="id_equipment" id="id_equipment">
            <input type="hidden" name="id_access_work" id="id_access_work">
            <input type="hidden" name="id_site" id="id_site" value="{{$site->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('equipment/work')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteRequiredEquipment" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_required_equipment', ['param' => 'kir'])}}">
            <input type="hidden" name="required_equipment_id" id="required_equipment_id" value="">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('equipment/work')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="takeBack" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="take-back-form" method="post" action="{{route('take_back')}}">
            <input type="hidden" name="tb_equipment_id" id="tb_equipment_id" value="">
            <input type="hidden" name="tb_site_id" id="tb_site_id" value="{{$site->id}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2">{{__('Quantity')}}</label>
                        <div class="col-sm-10">
                            <input class="form-control" type="text" name="tb_quantity" id="tb_quantity">
                        </div>
                    </div>
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-backward"></i>
                        </div>
                        <div class="modal-text">
                            <p>{{__('Take back')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="verticalWorksModal" class="modal-block modal-header-color modal-block-primary mfp-hide">
        <form name="delete-form" method="post" action="{{route('add_kir_work')}}">
            <input type="hidden" name="site_id" id="site_id" value="{{$site->id}}">
            <input type="hidden" name="vertical_work_id" id="vertical_work_id">
            <input type="hidden" name="operation" id="operation">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Add / remove work')}}</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="form-group">
                            <label class="col-sm-2">{{__('Quantity')}}</label>
                            <div class="col-sm-9">
                                <input type="text" name="quantity" id="quantity" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="accessWorksModal" class="modal-block modal-header-color modal-block-primary mfp-hide">
        <form name="delete-form-aw" method="post" action="{{route('add_fixed_access_work_kir')}}">
            <input type="hidden" name="site_id" id="site_id" value="{{$site->id}}">
            <input type="hidden" name="access_work_id" id="access_work_id">
            <input type="hidden" name="access_operation" id="access_operation">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Add / remove work')}}</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="form-group">
                            <label class="col-sm-2">{{__('Quantity')}}</label>
                            <div class="col-sm-9">
                                <input type="text" name="fixed_access_quantity" id="fixed_access_quantity" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="docWorksModal" class="modal-block modal-header-color modal-block-primary mfp-hide">
        <form name="delete-form-aw" method="post" action="{{route('add_fixed_doc_work_kir')}}">
            <input type="hidden" name="site_id" id="site_id" value="{{$site->id}}">
            <input type="hidden" name="doc_work_id" id="doc_work_id">
            <input type="hidden" name="doc_operation" id="doc_operation">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Add / remove work')}}</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="form-group">
                            <label class="col-sm-2">{{__('Quantity')}}</label>
                            <div class="col-sm-9">
                                <input type="text" name="fixed_doc_quantity" id="fixed_doc_quantity" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection
