@extends('layouts.app')

@section('content')

    @if($userId == $klijent->id_user || $isAdmin || $userId == $klijent->id_user_reklamacije)
    <script type="text/javascript">
            $(document).ready(function () {
                @if(!$isAdmin)
                document.getElementById('br_ugovora'). readOnly = true;
                document.getElementById('ime'). readOnly = true;
                document.getElementById('prezime'). readOnly = true;
                document.getElementById('jmbg'). readOnly = true;
                document.getElementById('mrezna_grupa'). readOnly = true;
                document.getElementById('tel1'). readOnly = true;
                document.getElementById('tel2'). readOnly = true;
                document.getElementById('tel3'). readOnly = true;
                document.getElementById('tis_id'). readOnly = true;
                document.getElementById('broj_lk'). readOnly = true;
                document.getElementById('datum_izdavanja_lk'). readOnly = true;
                document.getElementById('mesto_izdavanja_lk'). readOnly = true;
                document.getElementById('adresa_prebivalista'). readOnly = true;
                document.getElementById('adresa_instalacije'). readOnly = true;
                document.getElementById('paket'). readOnly = true;
                document.getElementById('vrsta_paketa'). readOnly = true;
                document.getElementById('nov_servis'). readOnly = true;
                document.getElementById('broj_bodova'). readOnly = true;
                document.getElementById('izvodjac_prodavac'). readOnly = true;
                document.getElementById('prodavac'). readOnly = true;
                document.getElementById('izvodjac'). readOnly = true;
                $('#user').prop('disabled', true);
                $('#monter_reklamacije').prop('disabled', true);
                @endif

                $('.btn-delete-image').click(function () {
                    var id = $(this).attr("imageId");
                    $('#id_image').val(id);
                });

                $('.btn-delete-doc').click(function () {
                    var id = $(this).attr("docId");
                    $('#id_doc').val(id);
                });

                $('.btn-delete-napomena').click(function () {
                    var id = $(this).attr("napomenaId");
                    $('#id_napomena').val(id);
                });

                $('.btn-delete-device').click(function () {
                    var id = $(this).attr("montiranId");
                    var serijskiBroj = $(this).attr("serijski_broj");
                    $('#id_montiran').val(id);
                    $('#serijski_broj').val(serijskiBroj);
                });
                $('.btn-delete-equipment').click(function () {
                    var id = $(this).attr("equipmentId");
                    var createdAt = $(this).attr("createdAt");
                    $('#id_oprema').val(id);
                    $('#created_at').val(createdAt);
                });

                $('.btn-delete-file').click(function () {
                    var id = $(this).attr("fileId");
                    $('#id_file').val(id);
                });

                $(":input").keypress(function(event){
                    if (event.which == '10' || event.which == '13') {
                        event.preventDefault();
                    }
                });
                $('#monter_equipment').change(function(){
                    if($(this).val() != ''){
                        var route = $(this).attr('route');
                        var id = $(this).val();
                        var _token = $('input[name="_token"]').val();
                        $.ajax({
                            type	:	"POST",
                            cache	: 	false,
                            url		:	route,
                            data    :   {
                                "_token" : _token,
                                'id'  : id,
                                'param' : 'montage'
                            },
                            success	: function(result){
                                $('#oprema').html(result);
                            }
                        });
                    }
                });
            });
            $(function() {
                if($('#status').val() != 1)
                    $('.status-zakazan').hide();
                if($('#status').val() != 2)
                    $('.status-odlozen').hide();
                $('#status').change(function(){
                    if($('#status').val() == 1) {
                        $('.status-zakazan').show();
                    } else {
                        $('.status-zakazan').hide();
                        $('#datum_zakazivanja').val('');
                        $('#vreme').val('');
                    }
                    if($('#status').val() == 2) {
                        $('.status-odlozen').show();
                    } else {
                        $('.status-odlozen').hide();
                        $('#datum_odlaganja').val('');
                        $('#vreme').val('');
                    }
                });
            });

    </script>

    <form id="form" method="post" action="{{ route('klijent.update', [$klijent->id]) }}" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <a href="{{route('klijent.index').'/'.$klijent->id}}"><button type="button" class="btn btn-info"><i class="fa fa-info-circle"></i></button></a>
                    <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
                </div>

                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contract number")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="br_ugovora" class="form-control" placeholder="" id="br_ugovora" value="{{$klijent->br_ugovora}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" value="{{$klijent->ime}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" value="{{$klijent->prezime}}" spellcheck="false"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("JMBG")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" value="{{$klijent->jmbg}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="mrezna_grupa" class="form-control" placeholder="" id="mrezna_grupa" value="{{$klijent->mrezna_grupa}}" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" value="{{$klijent->tel1}}" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" value="{{$klijent->tel2}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" value="{{$klijent->tel3}}" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">Tis ID</label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" value="{{$klijent->tis_id}}" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("ID no.")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_lk" class="form-control" placeholder="" id="broj_lk" value="{{$klijent->broj_lk}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Date of issuance of ID card")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_izdavanja_lk" class="form-control date-picker" placeholder="" id="datum_izdavanja_lk"
                                   value="<?php if ($klijent->datum_izdavanja_lk) echo date('d.m.Y.', strtotime($klijent->datum_izdavanja_lk)); ?>" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Place of issuance of ID card")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="mesto_izdavanja_lk" class="form-control" placeholder="" id="mesto_izdavanja_lk" value="{{$klijent->mesto_izdavanja_lk}}" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Address of residence")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="adresa_prebivalista" class="form-control" placeholder="" id="adresa_prebivalista" value="{{$klijent->adresa_prebivalista}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Installation address")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="adresa_instalacije" class="form-control" placeholder="" id="adresa_instalacije" value="{{$klijent->adresa_instalacije}}" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Packet")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="paket" class="form-control" placeholder="" id="paket" value="{{$klijent->paket}}" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet type")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="vrsta_paketa" class="form-control" placeholder="" id="vrsta_paketa" value="{{$klijent->vrsta_paketa}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Nov service")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="nov_servis" class="form-control" placeholder="" id="nov_servis" value="{{$klijent->nov_servis}}" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Extra STB")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="dodatni_stb" class="form-control" placeholder="" id="dodatni_stb" value="{{$klijent->dodatni_stb}}" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Points")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_bodova" class="form-control" placeholder="" id="broj_bodova" value="{{$klijent->broj_bodova}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Contractor")}} {{__("seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="izvodjac_prodavac" class="form-control" placeholder="" id="izvodjac_prodavac" value="{{$klijent->izvodjac_prodavac}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="prodavac" class="form-control" placeholder="" id="prodavac" value="{{$klijent->prodavac}}" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contractor")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="izvodjac" class="form-control" placeholder="" id="izvodjac" value="{{$klijent->izvodjac}}" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Assigned to fitter")}} </label>
                    <div class="col-sm-3">
                        <select name="user[]" id="user" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $user)
                                <option value="{{$user->id}}" <?php if ($user->id == $klijent->id_user) echo 'selected = "selected"' ?>>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}}</label>
                    <div class="col-sm-3">
                        <textarea name="razlog_odustajanja" rows="5" class="form-control" placeholder="" id="razlog_odustajanja" spellcheck="false">{{$klijent->razlog_odustajanja}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="napomena" rows="5" class="form-control" placeholder="" id="napomena" spellcheck="false"></textarea>
                    </div>
                    @if($isAdmin)
                    <label class="col-sm-1 control-label">{{__("Reclamation description")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="complaint" data-plugin-ios-switch />
                        </div>
                    </div>
                    @endif
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="status" id="status">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusi as $s)
                                <option value="{{$s->id}}" <?php if ($s->id == $klijent->id_status) echo 'selected = "selected"' ?>>{{$s->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="status-zakazan">
                        <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" value="@if($klijent->datum_zakazivanja) {{date('d.m.Y.', strtotime($klijent->datum_zakazivanja))}} @endif" spellcheck=""/>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme" name="vreme" value="@if($klijent->datum_zakazivanja){{date('H:i', strtotime($klijent->datum_zakazivanja))}} @endif">
                            </div>
                        </div>
                    </div>
                    <div class="status-odlozen">
                        <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja" value="@if($klijent->datum_odlaganja) {{date('d.m.Y.', strtotime($klijent->datum_odlaganja))}} @endif" spellcheck=""/>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme2" name="vreme2" value="@if($klijent->datum_odlaganja){{date('H:i', strtotime($klijent->datum_odlaganja))}} @endif">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_odustajanja" class="form-control date-picker" placeholder="" id="datum_odustajanja" value="@if($klijent->datum_odustajanja) {{date('d.m.Y.', strtotime($klijent->datum_odustajanja))}} @endif" spellcheck="false"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Montage date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_montaze" class="form-control date-picker" placeholder="" id="datum_montaze" value="@if($klijent->datum_montaze) {{date('d.m.Y.', strtotime($klijent->datum_montaze))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("For payment")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-info">
                            <input type="checkbox" name="for_payment" data-plugin-ios-switch @if($klijent->for_payment == 1) checked @endif/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Intervention status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="status_intervencije" id="status_intervencije">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusiIntervencije as $stinv)
                                <option value="{{$stinv->id}}" <?php if ($stinv->id == $klijent->id_status_intervencije) echo 'selected = "selected"' ?>>{{$stinv->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Intervention date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            <input type="text" name="datum_intervencije" class="form-control date-picker" placeholder="" id="datum_intervencije" value="@if($klijent->datum_intervencije) {{date('d.m.Y.', strtotime($klijent->datum_intervencije))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Reclamation")}} - {{__("fitter")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="monter_reklamacije[]" id="monter_reklamacije">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $monter)
                                <option value="{{$monter->id}}" <?php if ($monter->id == $klijent->id_user_reklamacije) echo 'selected = "selected"' ?>>{{$monter->ime.' '.$monter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Reclamation date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            <input type="text" name="datum_reklamacije" class="form-control date-picker" placeholder="" id="datum_reklamacije" value="@if($klijent->datum_reklamacije) {{date('d.m.Y.', strtotime($klijent->datum_reklamacije))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Intervention reason")}}</label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="razlog_reklamacije[]" id="razlog_reklamacije">
                            <option value="">-- {{__("Intervention reason")}} --</option>
                            @foreach($razlozi_intervencije as $razlog)
                                <option value="{{$razlog->id}}" <?php if ($razlog->id == $klijent->id_razlog_reklamacije) echo 'selected = "selected"' ?>>{{$razlog->razlog}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <a class="modal-with-form" href="#modalAddDevice"><button type="button" class="btn btn-info inline-btn">{{__("Add device")}} <i class="fa fa-plus"></i></button></a>
                    </div>
                    <div class="col-sm-4">
                        <a class="modal-with-form" href="#modalOprema"><button type="button" class="btn btn-success inline-btn">{{__("Add equipment")}} <i class="fa fa-sitemap"></i></button></a>
                    </div>
                    <div class="col-sm-4">
                        <a class="modal-with-form" href="#modalReturn"><button type="button" class="btn btn-warning inline-btn">{{__("Return to warehouse")}} <i class="fa fa-backward"></i></button></a>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        @foreach($montirani as $mont)
                            <p class="highlight devices">{{'('.strtoupper($mont->uredjaj).') '.$mont->serijski_broj}}</p>
                            @if($isAdmin)
                                <a href="#deleteDeviceModal" class="modal-basic btn btn-delete-device" style="float:right" montiranId="{{$mont->id}}" serijskiBroj="{{$mont->serijski_broj}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                            @endif
                            <br>
                        @endforeach
                    </div>
                    <div class="col-sm-4">
                        @foreach($equipment as $equip)
                            <p class="highlight equipment">{{$equip->naziv.' ('.__("quantity").': '.$equip->kol.')'}}</p>
                            @if($isAdmin)
                                <a href="#deleteEquipmentModal" class="modal-basic btn btn-delete-equipment" style="float:right" equipmentId="{{$equip->id}}" createdAt="{{$equip->created_at}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                            @endif
                            <br>
                        @endforeach
                    </div>
                    <div class="col-sm-4">
                        @foreach($vraceni as $vr)
                            <p class="highlight returned">{{'('.$vr->uredjaj.') '.$vr->serijski_broj}}</p>
                            <br>
                        @endforeach
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Image type")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="image_type" id="image_type">
                            <option value="">-- {{__("Image type")}} --</option>
                            @foreach($imageTypes as $type)
                                <option value="{{$type->id}}">{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Images")}}</label>
                    <div class="col-sm-3">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__("Change")}}</span>
                                    <span class="fileupload-new">{{__("Choose file")}}</span>
                                    <input type="file" id="pictures" name="pictures[]" multiple>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Pdf/Excel {{__("file")}}</label>
                    <div class="col-sm-3">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__("Change")}}</span>
                                    <span class="fileupload-new">{{__("Choose file")}}</span>
                                    <input type="file" id="document" name="document"/>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                            </div>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Helper")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="helper" id="helper" data-plugin-selectTwo>
                            <option value="">-- {{__("Helper")}} --</option>
                            <option value="0">{{__("Without helper")}}</option>
                            @foreach($helpers as $helper)
                                <option value="{{$helper->id}}" <?php if ($helper->id == $klijent->helper) echo 'selected = "selected"' ?>>{{$helper->ime.' '.$helper->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Terrain")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="terrain" data-plugin-ios-switch @if($klijent->on_terrain) checked @endif/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Filed")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-warning">
                            <input type="checkbox" name="filed" data-plugin-ios-switch @if($klijent->filed) checked @endif/>
                        </div>
                    </div>
                </div>
            </div>

            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('klijent.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    @if(!empty($napomene[0]))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($napomene as $br=>$nap)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$nap->napomena}}</p>
                        <small>@if($nap->complaint) {{'opis reklamacije'}} @else {{$nap->ime.' '.$nap->prezime}} @endif<cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($nap->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                        <a href="#deleteNapomenaModal" class="modal-basic btn btn-delete-napomena" napomenaId="{{$nap->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif

    @if(!empty($images[0]))
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Images")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                    <div class="col-sm-2" style="overflow: auto;">
                    <div class="popup-gallery">
                        <!-- edit timestamp is glued to link because chrome is caching images and rotated images are not shown. -->
                        <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" 
                            title="@if($img->type_id){{$img->type.' '}}@endif{{date('d.m.Y. H:i:s',strtotime($img->created_at))}}" rel="group1">
                            <div class="img-responsive">
                                <img src="{{$img->image_url}}" width="105">
                            </div>
                        </a>
                    </div>
                    <div class="btn-group">
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$img->id}}" data-param="montage"><i class="fa fa-rotate-right"></i></button>
                    </div>
                </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Files")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                        <a href="#deleteFileModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-file" style="color:red" fileId="{{$file->id}}"><i class="fa fa-trash-o"></i></a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!empty($imgDocs[0]))
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Documents")}}</h2>
            </header><div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
                <form name="delete-form" method="post" action="{{route('delete_file')}}">
                    <input type="hidden" name="id_file" id="id_file">
                    {{ method_field('delete') }}
                    {{ csrf_field() }}
                    <section class="panel">
                        <header class="panel-heading">
                            <h2 class="panel-title">{{__("Notice")}}!</h2>
                        </header>
                        <div class="panel-body">
                            <div class="modal-wrapper">
                                <div class="modal-icon">
                                    <i class="fa fa-times-circle"></i>
                                </div>
                                <div class="modal-text">
                                    <h4>{{__("Deletion")}}</h4>
                                    <p>{{__("Are you sure you want to delete file?")}}?</p>
                                </div>
                            </div>
                        </div>
                        <footer class="panel-footer">
                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                                    <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                                </div>
                            </div>
                        </footer>
                    </section>
                </form>
            </div>
            <div class="panel-body">
                @foreach($imgDocs as $doc)
                    <div class="col-md-2" style="overflow: auto;">
                        <div class="popup-gallery">
                            <!-- edit timestamp is glued to link because chrome is caching images and rotated images are not shown. -->
                            <a class="pull-left mb-xs mr-xs" href="{{$doc->image_url}}" title="Dokumenti" rel="group2">
                                <div class="img-responsive">
                                    <img src="{{$doc->image_url}}" width="105">
                                </div>
                            </a>
                        </div>
                        <div class="btn-group">
                            <a href="#deleteDocModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-doc" docId="{{$doc->id}}"><i class="fa fa-trash-o"></i></a>
                            <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$doc->id}}" data-param="docs"><i class="fa fa-rotate-right"></i></button>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_image', 'test')}}">
            <input type="hidden" name="id_image" id="id_image">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$klijent->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete image?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="deleteDocModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_doc', 'test')}}">
            <input type="hidden" name="id_doc" id="id_doc">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$klijent->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete file?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="deleteNapomenaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_napomena', 'test')}}">
            <input type="hidden" name="id_napomena" id="id_napomena">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$klijent->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="modalOprema" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}}</h2>
            </header>
            <form id="add_equipment" method="post" class="form-horizontal mb-lg" action="{{route('add_equipment')}}">
                @csrf
                <input type="hidden" value="{{$klijent->id}}" name="id_klijent" id="id_klijent">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Equipment")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="oprema" id="oprema">
                               <option value="0">-- {{__("Equipment")}} --</option>
                                @foreach($oprema as $oprem)
                                    <option value="{{$oprem->id}}">{{$oprem->naziv}} @isset($oprem->quantity){{' ('.$oprem->quantity.')'}}@endisset</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="kol" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Insert instead worker")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control populate status-select"  name="monter_equipment" id="monter_equipment" route="{{route('worker_equipment_populate')}}">
                                <option value="">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $monter)
                                    <option value="{{$monter->id}}" <?php if ($monter->id == $klijent->id_user_reklamacije) echo 'selected = "selected"' ?>>{{$monter->ime.' '.$monter->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="modalAddDevice" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add device")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('add_device')}}">
                @csrf
                <input type="hidden" value="{{$klijent->id}}" name="id_klijent" id="id_klijent">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="uredjaj">
                                <option value="0">-- {{__("Device")}} --</option>
                                @foreach($uredjaji as $dev)
                                    <option value="{{$dev->id}}">{{$dev->uredjaj}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="serijski_broj" class="form-control" placeholder="Serijski broj..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Fitter")}} </label>
                        <div class="col-sm-9">
                            <select class="form-control" name="monter_device">
                                <option value="0">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $mont)
                                    <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Date of entry")}} </label>
                        <div class="col-sm-6">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="device_date" class="form-control date-picker" placeholder="" id="device_date"/>
                            </div>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" class="form-control"  id="device_time" name="device_time">
                            </div>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteDeviceModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_device', 'device')}}">
            <input type="hidden" name="id_montiran" id="id_montiran">
            <input type="hidden" name="serijski_broj" id="serijski_broj">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$klijent->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="modalReturn" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Device return")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('return_device', ['param' =>'dth'])}}">
                @csrf
                <div class="panel-body">
                    <input type="hidden" name="id_klijent" value="{{$klijent->id}}">
                    <input type="hidden" name="return_jmbg" value="{{$klijent->jmbg}}">
                    <input type="hidden" name="return_tis" value="{{$klijent->tis_id}}">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="return_device">
                                <option value="">-- {{__("Device")}} --</option>
                                @foreach($uredjaji as $rdev)
                                    <option value="{{$rdev->id}}">{{$rdev->uredjaj}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Reason")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="razlog">
                                <option value="0">-- {{__("Reason")}} --</option>
                                @foreach($razlozi as $razlog)
                                    <option value="{{$razlog->id}}">{{$razlog->razlog}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="return_serial" class="form-control" placeholder="Serijski broj..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Fitter")}} </label>
                        <div class="col-sm-9">
                            <select class="form-control" name="monter_return">
                                <option value="0">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $mont)
                                    <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to return equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Return date")}} </label>
                        <div class="col-sm-6">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="return_date" class="form-control date-picker" placeholder="" id="return_date"/>
                            </div>
                            <p><small>*{{__("Fill out form if you want to return equipment instead of worker")}}</small></p>
                        </div>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" class="form-control"  id="return_time" name="return_time">
                            </div>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Return to warehouse")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteEquipmentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_equipment', 'equipment')}}">
            <input type="hidden" name="id_oprema" id="id_oprema">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$klijent->id}}">
            <input type="hidden" name="created_at" id="created_at" value="">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_file')}}">
            <input type="hidden" name="id_file" id="id_file">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete file?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    @else
        <div class="main-error mb-xlg">
            <h1 class="error-code text-dark text-center text-semibold m-none">{{__("Access denied")}}! <i class="fa fa-file"></i></h1>
        </div>
        <h2 class="error-explanation text-center">{{__("Only Admin and Super admin can see this page")}}</h2>
    @endif

@endsection