@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('#recalculation-btn').click(function(){
            $('#loading').show();
        });
    });
</script>
<section class="panel">
    <form id="recalculation_form" method="post" class="form-horizontal mb-lg" action="{{route('recalculate_msat')}}">
        @csrf
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Price recalculation")}} </h2>
        </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__("Montage date")}} {{__('range')}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="from">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="to">
                        </div>
                    </div>
                </div>
            </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" name="recalculation-btn" id="recalculation-btn" type="submit">{{__("Recalculate")}}</button>
                </div>
            </div>
        </footer>
    </form>
</section>
@endsection