@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title"> ({{$code}}) - {{$equipment}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <tr class="primary">
                        <th>{{__('Total')}}</th>
                        <th>{{$total}}</th>
                    </tr>
                    <tr>
                        <th>{{__('Package number')}}</th>
                        <th>{{__('Quantity')}}</th>
                    </tr>
                    @foreach($packageData as $pacman)
                        <tr>
                            <td class="text-center">{{$pacman->package_number}}</td>
                            <td class="text-center">{{$pacman->quantity}}</td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </section>
@endsection