@extends('layouts.app')

@section('content')
    <script type="text/javascript">
    $(document).ready(function (){
        $('#equipment_category').val(0);
        $('#equipment_category').change(function(){
            $('#equipment').empty();
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id,
                        'dependent' : dependent
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });
    });
    </script>
    <form id="form" method="post" action="{{route('package_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__("Filters")}}</h2>
            </header>
            <div class="panel-body">
                <div class='form-group'>
                    <label class="col-sm-1 control-label">{{__('Category')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category"
                                route="{{route('mont_equipment_populate')}}" data-dependent="equipment">
                            <option value="0">-- {{__('Category')}} --</option>
                            @foreach($equipmentCategories as $cat)
                                <option value="{{$cat->id}}">{{$cat->category}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Equipment")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                            <option value="">-- {{__("Equipment")}} --</option>
                        </select>
                    </div>
                </div>
            </div>
        </section>
    </form>
@endsection