@extends('layouts.app')
@section('content')
@foreach($packages as $mag=>$pack)
<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{$mag}} </h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                <tr>
                    <th>{{__("Code")}}</th>
                    <th>{{__("Equipment")}}</th>
                    <th>{{__("Package")}}</th>
                    <th>{{__("Quantity")}}</th>
                </tr>
                </thead>
                <tbody>
                @foreach($pack as $pac)
                <tr class="gradeX">
                    <td>{{$pac->code}}</td>
                    <td>{{$pac->equipment}}</td>
                    <td>{{$pac->package}}</td>
                    <td>{{$pac->count}}</td>
                </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
</section>
@endforeach
@endsection