@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$mag->naziv}}</h2>
            <div class="panel-actions">
                <a href="/magz/{{$mag->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">

            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Warehouse")}}: <div class="highlight">{{$mag->naziv}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Storekeepers")}}:
                        <div class="highlight">
                        @foreach($currentStk as $stk)
                            {!! nl2br($stk->user_name.' '.$stk->user_surname."\n") !!}
                        @endforeach
                        </div>
                    </p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Type")}}: <div class="highlight">{{$mag->type}}</div></p>
                </div>
            </div>
        </div>
    </section>
@endsection