@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$material->material}}</h2>
            <div class="panel-actions">
                <a href="/material/{{$material->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">

            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Code")}}: <div class="highlight">{{$material->code}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Material")}}: <div class="highlight">{{$material->material}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Minimal quantity")}}: <div class="highlight">{{$material->min_qnt}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Price")}}: <div class="highlight">{{$material->price}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Active")}}: <div class="highlight">@if($material->is_active == 1) {{__("YES")}} @else {{__("NO")}} @endif</div></p>
                </div>
            </div>
        </div>
    </section>

@endsection