@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function () {
        $('.btn-edit').click(function(){
            var item = $(this).data('item');
            var value = $(this).data('value');
            var text = $(this).data('text');

            $('#field').val(item);
            $('#value').val(value);
            document.getElementById('label').innerHTML = text;
        });

        $('.btn-submit').click(function(){
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	"{{route('settings_update')}}",
                data    :   $('#settings').serialize(),
                success	: function(result){
                    document.location.reload();
                }
            });
        });
        
    });
</script>
<section class="panel">
    <div class="row">
        <div class="col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Settings")}} ({{__("Montage")}})</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Item")}}</th>
                            <th>{{__("Value")}} / {{__("Point value")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                            <tr class="gradeX">
                                <td>lnb {{__("fitter")}}</td>
                                <td>{{$setting->lnb_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form" data-value="{{$setting->lnb_monter}}" 
                                        data-text="lnb {{__("fitter")}}" data-item="lnb_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>lnb {{__("helper")}}</td>
                                <td>{{$setting->lnb_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->lnb_helper}}" 
                                        data-text="lnb {{__("helper")}}" data-item="lnb_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("montage")}} {{__("fitter")}}</td>
                                <td>{{$setting->setting_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->setting_monter}}" 
                                        data-text="Montaža {{__("fitter")}}" data-item="setting_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("montage")}} {{__("helper")}}</td>
                                <td>{{$setting->setting_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->setting_helper}}" 
                                        data-text="{{__("montage")}} {{__("helper")}}" data-item="setting_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("displacement")}} {{__("fitter")}}</td>
                                <td>{{$setting->displacement_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->displacement_monter}}" 
                                        data-text="{{__("displacement")}} {{__("fitter")}}" data-item="displacement_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("displacement")}} {{__("helper")}}</td>
                                <td>{{$setting->displacement_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->displacement_helper}}" 
                                        data-text="{{__("displacement")}} {{__("helper")}}" data-item="displacement_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("equipment replacement")}} {{__("fitter")}}</td>
                                <td>{{$setting->replacement_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->replacement_monter}}" 
                                        data-text="{{__("equipment replacement")}} {{__("fitter")}}" data-item="replacement_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("equipment replacement")}} {{__("helper")}}</td>
                                <td>{{$setting->replacement_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->replacement_helper}}" 
                                        data-text="{{__("equipment replacement")}} {{__("helper")}}" data-item="replacement_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("other reasons")}} {{__("fitter")}}</td>
                                <td>{{$setting->other_reasons_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->other_reasons_monter}}" 
                                        data-text="{{__("other reasons")}} {{__("fitter")}}" data-item="other_reasons_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("other reasons")}} {{__("helper")}}</td>
                                <td>{{$setting->other_reasons_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->other_reasons_helper}}" 
                                        data-text="{{__("other reasons")}} {{__("helper")}}" data-item="other_reasons_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>stb {{__("fitter")}}</td>
                                <td>{{$setting->stb_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->stb_monter}}" 
                                        data-text="stb {{__("fitter")}}" data-item="stb_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>stb {{__("helper")}}</td>
                                <td>{{$setting->stb_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->stb_helper}}" 
                                        data-text="stb {{__("helper")}}" data-item="stb_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>vdsl {{__("fitter")}}</td>
                                <td>{{$setting->vdsl_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->vdsl_monter}}" 
                                        data-text="vdsl {{__("fitter")}}" data-item="vdsl_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>vdsl {{__("helper")}}</td>
                                <td>{{$setting->vdsl_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->vdsl_helper}}" 
                                        data-text="vdsl {{__("helper")}}" data-item="vdsl_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>ont {{__("fitter")}}</td>
                                <td>{{$setting->ont_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->ont_monter}}" 
                                        data-text="ont {{__("fitter")}}" data-item="ont_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>ont {{__("helper")}}</td>
                                <td>{{$setting->ont_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->ont_helper}}" 
                                        data-text="ont {{__("helper")}}" data-item="ont_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>ont {{__("house")}} {{__("fitter")}}</td>
                                <td>{{$setting->ont_house_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->ont_house_monter}}" 
                                        data-text="ont {{__("house")}} {{__("fitter")}}" data-item="ont_house_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>ont {{__("house")}} {{__("helper")}}</td>
                                <td>{{$setting->ont_house_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->ont_house_helper}}" 
                                        data-text="ont {{__("house")}} {{__("helper")}}" data-item="ont_house_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>ont {{__("flat")}} {{__("fitter")}}</td>
                                <td>{{$setting->ont_flat_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->ont_flat_monter}}" 
                                        data-text="ont {{__("flat")}} {{__("fitter")}}" data-item="ont_flat_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>ont {{__("flat")}} {{__("helper")}}</td>
                                <td>{{$setting->ont_flat_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->ont_flat_helper}}" 
                                        data-text="ont {{__("flat")}} {{__("helper")}}" data-item="ont_flat_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("optics intervention")}} {{__("fitter")}}</td>
                                <td>{{$setting->ont_flat_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->optics_intervention_monter}}" 
                                        data-text="optika intervencija monter" data-item="optics_intervention_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("optics intervention")}} {{__("helper")}}</td>
                                <td>{{$setting->optics_intervention_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->optics_intervention_helper}}" 
                                        data-text="{{__("optics intervention")}} {{__("helper")}}" data-item="optics_intervention_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>supernova {{__("fitter")}}</td>
                                <td>{{$setting->supernova_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->supernova_monter}}" 
                                        data-text="supernova {{__("fitter")}}" data-item="supernova_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>supernova {{__("helper")}}</td>
                                <td>{{$setting->supernova_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->supernova_helper}}" 
                                        data-text="supernova {{__("helper")}}" data-item="supernova_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("copper")}} {{__("fitter")}}</td>
                                <td>{{$setting->copper_monter}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->copper_monter}}" 
                                        data-text="{{__("copper")}} {{__("fitter")}}" data-item="copper_monter"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                            <tr class="gradeX">
                                <td>{{__("copper")}} {{__("helper")}}</td>
                                <td>{{$setting->copper_helper}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->copper_helper}}" 
                                        data-text="{{__("copper")}} {{__("helper")}}" data-item="copper_helper"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="panel">
    <div class="row">
        <div class="col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Settings")}} ({{__("Construction sites")}})</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Item")}}</th>
                            <th>{{__("Value")}} / {{__("percentage")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                            <tr class="gradeX">
                                <td>{{__("Percentage  of earnings")}}</td>
                                <td>{{$setting->construction_profit_percent.'%'}}</td>
                                <td class="btn-center">
                                    <a href="#settingsModal" class="btn-edit modal-with-form"  data-value="{{$setting->construction_profit_percent}}" 
                                        data-text="{{__("Percentage  of earnings")}}" data-item="construction_profit_percent"><i class="fa fa-pencil"></i></a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div id="settingsModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Edit settings")}}</h2>
        </header>
        <form id="settings" class="form-horizontal mb-lg">
            <input type="hidden" id="field" name="field">
            @csrf
            {{-- @method('patch'); --}}
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label" id="label"></label>
                    <div class="col-sm-9">
                        <input type="text" name="value" id="value" class="form-control"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary btn-submit" type="button">{{__("Save")}} </button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
    
@endsection