@extends('layouts.app')
@section('content')

    @if(!empty($stockpile))
        @foreach($stockpile as $storage=>$stock)
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{$storage}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        <thead>
                        <tr>
                            <th>{{__('Type')}}</th>
                            <th>{{__('Tools')}}</th>
                            <th>{{__('Provider')}}</th>
                            <th>{{__('Invoice number')}}</th>
                            <th>{{__('Origin')}}</th>
                            <th>{{__('Quantity')}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($stock as $st)
                            <tr class="gradeX" style="text-align: center">
                                <td>{{$st['type']}}</td>
                                <td>{{$st['tool']}}</td>
                                <td>{{$st['provider']}}</td>
                                <td>{{$st['invoice_number']}}</td>
                                <td>{{$st['origin']}}</td>
                                <td>{{$st['quantity']}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
        @endforeach
    @endif

@endsection