@extends('layouts.app')
@section('content')
<section class="panel">
    <div class="row">
        <div class="col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Warehouses")}}</h2>
            </header>
            <div class="panel-body">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Warehouse")}}</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php $br = 1;?>
                    @foreach($magz as $num)
                        <tr class="gradeX">
                            <td>{{($br).'.'}}</td>
                            <td>{{$num->naziv}}</td>
                            <td class="btn-center">
                                <a href="{{route('storage_vehicle_equipment', ['id' => $num->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-cube"></i></button></a>
                            </td>
                        </tr>
                        <?php $br++;?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</section>
@endsection