@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$tool->tool}}</h2>
            <div class="panel-actions">
                <a href="/tool/{{$tool->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">

            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Tools")}}: <div class="highlight">{{$tool->tool}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Type")}}: <div class="highlight">{{$tool->type}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Provider")}}: <div class="highlight">{{$tool->provider}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Invoice number")}}: <div class="highlight">{{$tool->invoice_number}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Origin")}}: <div class="highlight">{{$tool->origin}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Serial number")}}: <div class="highlight">{{$tool->serial_number}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Price")}}: <div class="highlight">{{$tool->price}}</div></p>
                </div>
            </div>
        </div>
    </section>

@endsection