<?php

namespace App\Http\Controllers;

use App\Models\Worker_equipment;
use App\Models\Worker_materials;
use App\Revers_roba;
use App\Traits\Util;

class FitterController extends Controller
{
    public function inventory(){
        $weMod = new Worker_equipment();
        $revMod = new Revers_roba();
        $matMod = new Worker_materials();
        $equipmentInventory = $weMod->mont_equipment_for_user(Util::userId());
        $deviceInventory = $revMod->deviceInventory(Util::userId());
        $materialInventory = $matMod->materials_for_user(Util::userId());
        return view('fitter.inventory', ['equipmentInventory' => $equipmentInventory, 'deviceInventory' => $deviceInventory, 'materialInventory' => $materialInventory]);
    }
}
