<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class AllUsers
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if(Auth::check()){
            if($request->user()->is_active != 1)
                Auth::logout();
            billAlarm();
            unresolvedTickets();
            personalUnresolvedTickets();
            received_requests();
            return $next($request);
        }
        else{
            return redirect()->route('login');
        }

    }
}
