<?php

namespace App\Models;

use App\Traits\Util;
use Illuminate\Database\Eloquent\Model;
use DB;

class Callisto_bills extends Model
{
    protected $fillable = ['number', 'date', 'ammount', 'payment_date', 'status'];

    private function days(){
        if(Util::firmaId() != 1)
            return 25;
        else
            return 365;
    }

    public function billAlarm(){
        $query = DB::table('callisto_bills')
            ->select('date')
            ->orderBy('date', 'ASC')
            ->where('status', '=', 0)
            ->limit(1);
        $result = $query->get();
        if($result->isEmpty()){
            return false;
        }
        else{
            $days = $this->days();
            if(date('Y-m-d',strtotime($result[0]->date." + $days days")) <= date('Y-m-d')){
                return true;
            }
            else {
                return false;
            }
        }
    }

}
