<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Commissions extends Model
{
    protected $fillable = ['packet', 'packet_type', 'commission'];

    public function comData(){
        $query = DB::table('commissions as c')
        ->select('p.naziv', 'vp.vrsta', 'commission', 'c.id')
        ->leftJoin('paketi as p', 'p.id', '=', 'c.packet')
        ->leftJoin('vrste_paketa as vp', 'vp.id', '=', 'c.packet_type')
        ;

        return $query->get();
    }

    public function getCoefficient($packet, $packetType){
        $result = DB::table('commissions')
        ->select('commission')
        ->where('packet', '=', $packet)
        ->where('packet_type', '=', $packetType)
        ->orderBy('id', 'desc')
        ->first()
        ;

        
        if(!$result)
            return 0;
        else
            return $result->commission;
    }

}
