<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Construction_comments extends Model
{
    protected $fillable = [
        'comment',
        'id_user',
        'id_construction_site'
    ];

    /**
     * @param $id construction site id
     */
    public function comments($id){
        $query = DB::table('construction_comments as cc')
            ->leftJoin('users as u', 'u.id', '=', 'cc.id_user')
            ->select('comment', 'ime', 'prezime', 'cc.created_at', 'cc.id')
            ->where('id_construction_site', '=', $id);

        $result = $query->get();
        return $result;
    }
}
