<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class De_device_history extends Model
{
    protected $table = 'de_device_history';
    protected $fillable = ['user_id', 'device_id', 'serial', 'site_id', 'returned', 'deleted'];

    public function deviceLog($id){
        $query = DB::table('de_device_history as dh')
                ->leftJoin('users as u', 'u.id', '=', 'dh.user_id')
                ->leftJoin('uredjaji as d', 'd.id', '=', 'dh.device_id')
                ->select('u.ime', 'u.prezime', 'd.uredjaj', 'dh.serial', 'dh.created_at', 'deleted')
                ->where('site_id', '=', $id);

        return $query->get()->toArray();
    }
}
