<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Fobos_comments extends Model
{
    protected $fillable = ['comment', 'user_id', 'fobos_id', 'fobos_copper_id'];

    public function comments($fobosId){
        $query = DB::table('fobos_comments as c')
            ->leftJoin('users as u', 'u.id', '=', 'c.user_id')
            ->select('c.created_at', 'u.ime', 'u.prezime', 'c.comment', 'c.id')
            ->where('fobos_id', '=', $fobosId)
        ;

        $result = $query->get();
        return $result;
    }

    public function commentsCopper($fobosId){
        $query = DB::table('fobos_comments as c')
            ->leftJoin('users as u', 'u.id', '=', 'c.user_id')
            ->select('c.created_at', 'u.ime', 'u.prezime', 'c.comment', 'c.id')
            ->where('fobos_copper_id', '=', $fobosId)
        ;

        $result = $query->get();
        return $result;
    }
}
