<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Hw_predicted_works extends Model
{
    protected $fillable=['site_id', 'access_work_id', 'vertical_work_id', 'doc_work', 'quantity'];

    public function predictedWorks($site,$workId,$type){
        $query = DB::table('hw_predicted_works')
            ->selectRaw('quantity')
            ->where('site_id', '=', $site);

        switch($type){
            case 'access' : $query->where('access_work_id', '=', $workId); break;
            case 'vertical' : $query->where('vertical_work_id', '=', $workId); break;
            case 'doc' : $query->where('doc_work', '=', $workId); break;
        }
        

        
        $query->orderBy('id', 'ASC');

        $result = $query->get();
        if($result->isEmpty())
            return 0;
        else
            return $result[0]->quantity;
    }
}
