<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Vehicle_images extends Model
{
    protected $fillable = ['image_url', 'vehicle_user_id', 'type_id'];

    /**
     * @param $id
     * @param $type 0 is rent, 1 is return
     * @return \Illuminate\Support\Collection
     */
    public function images($id, $type){
        $query = DB::table('vehicle_images')
            ->select('image_url', 'created_at', 'id')
            ->where('type_id', '=', $type)
            ->where('vehicle_user_id', '=', $id)
        ;
        $result = $query->get();
        return $result;
    }
}
