<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterSiteEquipmentChangeEquipmentForeign extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('site_equipment', function (Blueprint $table) {
            $table->dropForeign('site_equipment_id_equipment_foreign');
            $table->foreign('id_equipment')->references('id')->on('oprema')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('site_equipment', function (Blueprint $table) {
            $table->dropForeign('site_equipment_id_equipment_foreign');
            $table->foreign('id_equipment')->references('id')->on('equipment')->onDelete('restrict')->onUpdate('cascade');
        });
    }
}
