<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKirRequiredEquipmentChangeEquipmentForeign extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('kir_required_equipment', function (Blueprint $table) {
            $table->dropForeign('kir_required_equipment_equipment_id_foreign');
            $table->foreign('equipment_id')->references('id')->on('oprema')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir_required_equipment', function (Blueprint $table) {
            $table->dropForeign('kir_required_equipment_equipment_id_foreign');
            $table->foreign('equipment_id')->references('id')->on('equipment')->onDelete('restrict')->onUpdate('cascade');
        });
    }
}
