<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRuneOpticsAddAdditionalWorkAndAdditionalSplicing extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->tinyInteger('additional_work')->after('qgis_date')->default(0);
            $table->integer('additional_splicing')->after('additional_work')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropColumn('additional_work');
            $table->dropColumn('additional_splicing');
        });
    }
}
