<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTeamProdavacTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('team_prodavac', function (Blueprint $table) {
            $table->unsignedBigInteger('id_team')->nullable();
            $table->unsignedBigInteger('id_prodavac')->nullable();
            $table->timestamps();
            $table->foreign('id_team')->references('id')->on('teams')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_prodavac')->references('id')->on('users')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('team_prodavac');
    }
}
