<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterOpremaPovratnicaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('oprema_povratnica', function (Blueprint $table) {
            $table->unsignedBigInteger('id_stanje_opreme')->after('kol')->nullable();
            $table->foreign('id_stanje_opreme')->references('id')->on('stanje_uredjaja')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
