<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterImagesDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('images_documents', function (Blueprint $table) {
            $table->unsignedBigInteger('id_supernova_klijent')->after('id_opticki_klijent')->nullable();
            $table->foreign('id_supernova_klijent')->references('id')->on('klijenti_supernova')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('images_documents');
    }
}
