<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTipOpremeAlterOprema extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tip_opreme', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('tip');
            $table->timestamps();
        });

        Schema::table('oprema', function (Blueprint $table){
            $table->unsignedBigInteger('id_tip_opreme')->nullable()->after('magacin_stanje')->nullable();
            $table->foreign('id_tip_opreme')->references('id')->on('tip_opreme')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tip_opreme');
    }
}
