<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterRemoveIdPrice extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('equipment', function(Blueprint $table){
            $table->dropForeign('equipment_id_price_foreign');
            $table->dropColumn('id_price');
        });
        Schema::table('construction_works', function(Blueprint $table){
            $table->dropForeign('construction_works_id_price_foreign');
            $table->dropColumn('id_price');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
    }
}
