<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCallistoBillsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('callisto_bills', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('number');
            $table->date('date');
            $table->float('ammount');
            $table->date('payment_date')->nullable();
            $table->tinyInteger('status')->default(0);
            $table->string('pdf_url')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('callisto_bills');
    }
}
