<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->tinyIncrements('id');
            $table->float('lnb_monter')->default(0);
            $table->float('lnb_helper')->default(0);
            $table->float('setting_monter')->default(0);
            $table->float('setting_helper')->default(0);
            $table->float('displacement_monter')->default(0);
            $table->float('displacement_helper')->default(0);
            $table->float('replacement_monter')->default(0);
            $table->float('replacement_helper')->default(0);
            $table->float('other_reasons_monter')->default(0);
            $table->float('other_reasons_helper')->default(0);
            $table->float('stb_monter')->default(0);
            $table->float('stb_helper')->default(0);
            $table->float('vdsl_monter')->default(0);
            $table->float('vdsl_helper')->default(0);
            $table->float('ont_monter')->default(0);
            $table->float('ont_helper')->default(0);
            $table->float('ont_house_monter')->default(0);
            $table->float('ont_house_helper')->default(0);
            $table->float('ont_flat_monter')->default(0);
            $table->float('ont_flat_helper')->default(0);
            $table->float('optics_intervention_monter')->default(0);
            $table->float('optics_intervention_helper')->default(0);
            $table->float('supernova_monter')->default(0);
            $table->float('supernova_helper')->default(0);
            $table->float('copper_monter')->default(0);
            $table->float('copper_helper')->default(0);
            $table->float('construction_profit_percent')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('settings');
    }
}
