<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddReturnUserDeviceHistory extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('device_history', function (Blueprint $table) {
            $table->unsignedBigInteger('return_user')->nullable()->after('vraceni');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('device_history', function (Blueprint $table) {
            $table->dropColumn('return_user');
        });
    }
}
