<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForPaymentToKlijent extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('klijent', function (Blueprint $table) {
            $table->tinyInteger('for_payment')->default(0)->after('datum_montaze');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('klijent', function (Blueprint $table) {
            $table->dropColumn('for_payment');
        });
    }
}
