<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterChangeHistoryAddDataTransfer extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('change_history', function (Blueprint $table) {
            $table->tinyInteger('data_transfer')->default(0)->after('id_construction_site');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('change_history', function (Blueprint $table) {
            $table->dropColumn('data_transfer');
        });
    }
}
