<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterReversRobaAddMounted extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('revers_roba', function (Blueprint $table) {
            $table->tinyInteger('mounted')->after('id_uredjaj')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('revers_roba', function (Blueprint $table){
            $table->dropColumn('mounted');
        });
    }
}
