<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKlijentAddComplaint extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('klijent', function (Blueprint $table) {
            $table->tinyInteger('complaint')->after('datum_zahteva')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('klijent', function (Blueprint $table) {
            $table->dropColumn('complaint');
        });
    }
}
