<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHwDocumentationAddFolderId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('hw_documentation', function (Blueprint $table) {
            $table->unsignedBigInteger('folder_id')->after('filename');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hw_documentation', function (Blueprint $table) {
            $table->dropColumn('folder_id');
        });
    }
}
