<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterSiteWorkAddPrice extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('site_work', function (Blueprint $table) {
            $table->decimal('price')->after('quantity')->default(0);
        });
        Schema::table('hw_site_work', function (Blueprint $table) {
            $table->decimal('price')->after('quantity')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('site_work', function (Blueprint $table) {
            $table->dropColumn('price');
        });
        Schema::table('hw_site_work', function (Blueprint $table) {
            $table->dropColumn('price');
        });
    }
}
