<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRequiredEquipmentAddEditedQuantity extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('required_equipment', function (Blueprint $table) {
            $table->decimal('edited_quantity')->after('quantity')->default(0);
            $table->decimal('supplied_quantity')->after('edited_quantity')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('required_equipment', function (Blueprint $table) {
            $table->dropColumn('edited_quantity');
            $table->dropColumn('supplied_quantity');
        });
    }
}
