<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterPovratnaRobaAddTisId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('povratna_roba', function (Blueprint $table) {
            $table->char('tis_id')->after('jmbg')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('povratna_roba', function (Blueprint $table) {
            $table->dropColumn('tis_id');
        });
    }
}
