<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterMagacinAddProviderAndInvoiceNumber extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('magacin', function (Blueprint $table) {
            $table->unsignedBigInteger('provider')->after('mac2')->nullable();
            $table->char('invoice_number')->after('provider')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('magacin', function (Blueprint $table) {
            $table->dropColumn('provider');
            $table->dropColumn('invoice_number');
        });
    }
}
