<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateToolReverse extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tool_reverse', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('text')->nullable();
            $table->char('worker_id')->nullable();
            $table->char('storekeeper_id')->nullable();
            $table->char('storage_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tool_reverse');
    }
}
