<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterMagacinTableAddStateId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('magacin', function (Blueprint $table) {
            $table->unsignedBigInteger('state_id')->nullable()->after('id_razlog_vracanja');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('magacin', function (Blueprint $table) {
            $table->dropColumn('state_id');
        });
    }
}
