<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKlijentiProdajaTableAddMontageDate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('klijenti_prodaja', function (Blueprint $table) {
            $table->date('montage_date')->after('commission')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('klijenti_prodaja', function (Blueprint $table) {
            $table->dropColumn('montage_date');
        });
    }
}
