<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterFobosRuneAddNameAndSurname extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->char('name')->nullable()->after('cluster');
            $table->char('surname')->nullable()->after('name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune', function (Blueprint $table) {
            $table->dropColumn('name');
            $table->dropColumn('surname');
        });
    }
}
