@extends('layouts.app')

@section('content')
    @if(!empty($userArr))
    @foreach($userArr as $description=>$users)
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{$description}}</h2>
                </header>
                <div class="panel-body">
                    <div class="table-mobile">
                        <table class="table table-bordered table-striped mb-none" id="datatable-default">
                            <thead>
                            <tr>
                                <th>{{__('User')}}</th>
                                <th>ID</th>
                                <th>Email</th>
                                <th>{{__('Last login')}}</th>
                                <th>Online</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($users as $user)
                                <?php if($user['online_status'] == 1) $onlineStatus='status-online'; else $onlineStatus = 'status-offline'?>
                                <tr class="gradeX">
                                    <td>{{$user['name']}}</td>
                                    <td style="text-align: center">{{$user['id']}}</td>
                                    <td>{{$user['email']}}</td>
                                    <td class="center">@if($user['last_login']) {{date('d.m.Y H:i:s', strtotime($user['last_login']))}} @endif</td>
                                    <td class="center"><i class="fa fa-dot-circle-o {{$onlineStatus}}"></i></td>
                                    <td class="btn-center">
                                        <a href="{{route('edit_user', ['id_user' => $user['id']])}}"><i class="fa fa-pencil"></i></a>
                                        <a href="{{route('show_user', ['id_user' => $user['id']])}}"><i class="fa fa-info-circle"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @endforeach
    @endif
@endsection
