@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });
    </script>
    <form id="form" method="post" action="{{ route('obracun_bodovi_zarada')}}" class="form-horizontal">
        @csrf
        <section class="panel">
            <div class="row">
                <div class="col-sm-12">
                    <header class="panel-heading">
                        <h2 class="panel-title">{{__('Payroll')}}</h2>
                    </header>

                    <div class="panel-body">
                        <div class="form-group">
                            <label class="col-md-1 control-label">{{__('Period')}}</label>
                            <div class="col-md-6">
                                <div class="input-daterange input-group">
                                                        <span class="input-group-addon">
                                                            <i class="fa fa-calendar"></i>
                                                        </span>
                                    <input type="text" class="form-control date-picker" name="start">
                                    <span class="input-group-addon">{{__("to")}}</span>
                                    <input type="text" class="form-control date-picker" name="end">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">{{__('Employees')}} </label>
                            <div class="col-sm-3">
                                <select multiple data-plugin-selectTwo class="form-control populate" name="employees[]" id="employees">
                                    <optgroup label="{{__('Choose employee')}}">
                                        @foreach($employees as $user)
                                            <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                                        @endforeach
                                    </optgroup>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Calculate')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    <div class="obracun">

    </div>
@endsection
