@extends('layouts.app')
@section('content')
<form id="form" method="get" action="{{ route('vehicle_search_result') }}" class="form-horizontal">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Filter')}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-lg-1 control-label">{{__('Brand')}} </label>
                <div class="col-lg-3">
                    <input type="text" class="form-control" name="marka" id="marka">
                </div>
                <label class="col-lg-1 control-label">{{__('Type')}} </label>
                <div class="col-lg-3">
                    <input type="text" class="form-control" name="tip" id="tip">
                </div>
                <label class="col-lg-1 control-label">{{__('Plate number')}} </label>
                <div class="col-lg-3">
                    <select data-plugin-selectTwo class="form-control" name="reg_br" id="reg_br">
                        <option></option>
                        @foreach($vehicles as $vh)
                            <option value="{{$vh->reg_br}}">{{$vh->reg_br}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection