@extends('layouts.app')
@section('content')
<section class="panel">
<header class="panel-heading">
    <div class="panel-actions">
    </div>
    <h2 class="panel-title">{{__('Statistic range')}} ({{$from.' - '.$to}})</h2>
</header>
    <section class="panel">
    <div class="panel-body">
        <form id="frmPie" method="get" class="form-horizontal mb-lg">
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Created at")}} {{__('range')}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
                <div class="col-md-2"><button type="submit" class="btn btn-primary" id="btn-pie" route="{{route('commission.statistic')}}">{{__('Show')}}</button></div>
            </div>
        </form>
    </div>
    </section>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Potential commission")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th>{{__('Number of requests')}}</th>
                        <th>{{__('Commission')}} {{__('Total')}}</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr class="gradeX" style="text-align: center">
                            <td>{{$potentialCom->count}}</td>
                            <td>{{$potentialCom->total_commission}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Realized sale")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th>{{__('Number of requests')}}</th>
                        <th>{{__('Commission')}} {{__('Total')}}</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr class="gradeX" style="text-align: center">
                            <td>{{$realizedSale->count}}</td>
                            <td>{{$realizedSale->total_commission}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Unrealized sale")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th>{{__('Number of requests')}}</th>
                        <th>{{__('Commission')}} {{__('Total')}}</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr class="gradeX" style="text-align: center">
                            <td>{{$unrealizedSale->count}}</td>
                            <td>{{$unrealizedSale->total_commission}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</section>
@endsection