@extends('layouts.app')
@section('content')
@if($statisticDevices)
<section class="panel">
    <div class="panel-body">
        <div class="table-mobile">
        <table class="table table-bordered table-striped mb-none" id="datatable-default">
            <thead>
                <tr>
                    <th colspan="5" class="info">({{__("Devices")}})</th>
                </tr>
            </thead>
            <thead>
                <th>{{__("Device")}}</th>
                <th>{{__("Quantity")}}</th>
            </thead>
            <tbody>
            
            @foreach($statisticDevices as $dev)
            <tr>
                <td style="text-align:center">{{$dev['device']}}</td>
                <td style="text-align:center">{{number_format($dev['quantity'], 2, ',', '.')}}</td>
            </tr>
            @endforeach
            </tbody>
        </table>
        </div>
    </div>
</section>
@endif
@if($statisticEquipment)
<section class="panel">
    <div class="panel-body">
        <div class="table-mobile">
        <table class="table table-bordered table-striped mb-none" id="datatable-default">
            <thead>
                <tr>
                    <th colspan="5" class="success">({{__("Equipment")}})</th>
                </tr>
            </thead>
            <thead>
                <th>{{__("Equipment")}}</th>
                <th>{{__("Quantity")}}</th>
            </thead>
            <tbody>
            
            @foreach($statisticEquipment as $eq)
            <tr>
                <td style="text-align:center">{{$eq['equipment']}}</td>
                <td style="text-align:center">{{number_format($eq['quantity'], 2, ',', '.')}}</td>
            </tr>
            @endforeach
            </tbody>
        </table>
        </div>
    </div>
</section>
@endif
@if($statisticMaterials)
<section class="panel">
    <div class="panel-body">
        <div class="table-mobile">
        <table class="table table-bordered table-striped mb-none" id="datatable-default">
            <thead>
                <tr>
                    <th colspan="5" class="primary">({{__("Materials")}})</th>
                </tr>
            </thead>
            <thead>
                <th>{{__("Material")}}</th>
                <th>{{__("Quantity")}}</th>
            </thead>
            <tbody>
            
            @foreach($statisticMaterials as $mat)
            <tr>
                <td style="text-align:center">{{$mat['material']}}</td>
                <td style="text-align:center">{{number_format($mat['quantity'], 2, ',', '.')}}</td>
            </tr>
            @endforeach
            </tbody>
        </table>
        </div>
    </div>
</section>
@endif
@endsection

