@extends('layouts.app')
@section('content')
<section class="panel">
    <div class="panel-body">
        <div class="table-mobile">
        <table class="table table-bordered table-striped mb-none" id="datatable-default">
            <thead>
                <tr>
                    <th colspan="5" class="success">{{__("Statistic")}}</th>
                </tr>
            </thead>
            <thead>
            <tr>
                <th>{{__("Worker")}}</th>
                <th>{{__("Total")}} {{__("Report confirmed")}}</th>
                <th>{{__("Total")}} {{__("Report not confirmed")}}</th>
            </tr>
            </thead>
            <tbody>
            
            @foreach($statistic as $worker=>$stat)
            <tr>
                <td style="text-align: center">{{$worker}}</td>
                <td style="text-align: center">{{$stat['totalPolished']}}</td>
                <td style="text-align: center">{{$stat['totalUnpolished']}}</td>
            </tr>
            @endforeach
            </tbody>
            </table>
        </div>
    </div>
</section>
@endsection