@extends('layouts.app')
@section('content')
<section class="panel"  id="range_form">
    <form id="" method="get" class="form-horizontal mb-lg" action="{{route('de_target_calculate')}}">
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Date")}} {{__('range')}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Worker")}}</label>
                <div class="col-md-4">
                    <select class="form-control" name="worker" data-plugin-selectTwo>
                        @foreach($workers as $worker)
                            <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button class="btn btn-primary" type="submit">{{__('Apply')}}</button>
                </div>
            </div>
        </footer>
    </form>
</section>
@endsection