@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$work->work}}</h2>
            <div class="panel-actions">
                <a href="/de_construction_sites/de_works/{{$work->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Code")}}: <div class="highlight">{{$work->code}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Work")}}: <div class="highlight">{{$work->work}}</div></p>
                </div>
                <div class="col-md-4">
                     <p>{{__("Unit")}}: <div class="highlight">{{$work->unit}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Fixed")}}: <div class="highlight">@if($work->fixed){{__("YES")}} @else {{__("NO")}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Price")}}: <div class="highlight">{{$work->price}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Price")}} ({{__("Subcontractor")}}): <div class="highlight">{{$work->sub_price}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Daily target")}} {{__("price")}}: <div class="highlight">{{$work->target_price}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Provider")}}: <div class="highlight">{{$work->provider}}</div></p>
                </div>
            </div>
        </div>
    </section>

@endsection