@extends("layouts.app")
@section('content')
<section class="panel">
    <header class="panel-heading panel-align">
        <h2 class="panel-title">{{__('Files')}}</h2>
    </header>
    <form id="form" method="post" action="{{ route('hw_documentation_store') }}" class="form-horizontal" enctype="multipart/form-data">
        @csrf
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__('Files')}}</label>
                <div class="col-sm-5">
                    <div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="input-append">
                            <div class="uneditable-input">
                                <i class="fa fa-file fileupload-exists"></i>
                                <span class="fileupload-preview"></span>
                            </div>
                            <span class="btn btn-default btn-file">
                                            <span class="fileupload-exists">{{__('Change')}}</span>
                                            <span class="fileupload-new">{{__('Choose file')}}</span>
                                            <input type="file" id="files" name="files[]" multiple>
                                        </span>
                            <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                        </div>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__('Folder')}}</label>
                 <div class="col-sm-5">
                     <select name="folder" id="folder" class="form-control">
                         @foreach($folders as $folder)
                             <option value="{{$folder->id}}">{{$folder->folder}}</option>
                         @endforeach
                     </select>
                 </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button class="btn btn-danger" type="submit">{{__('Upload')}}</button>
                </div>
            </div>
        </footer>
    </form>
</section>
@endsection