@extends('layouts.app')
@section('content')
<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Delivery note numbers")}}</h2>
    </header>
    <form method="get" action="{{route('return_devices_result')}}">
        <div class="panel-body">
            <div class="form-group">
                @csrf
                <label class="col-sm-1 control-label">{{__("From")}}: </label>
                <div class="col-sm-2">
                    <input type="text" class="form-control" id="start" name="start">
                </div>
                <label class="col-sm-1 control-label">{{__("To")}}: </label>
                <div class="col-sm-2">
                    <input type="text" class="form-control" id="end" name="end">
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button class="btn btn-primary" type="submit">{{__("Continue")}}</button>
                </div>
            </div>
        </footer>
    </form>
</section>
@endsection