@extends('layouts.app')
@section('content')

@if(!empty($stockpile))
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Available goods (total)")}} <small>({{__("equipment in warehouse + equipment taken by fitter")}})</small></h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th></th>
                        <th>{{__("Equipment")}}</th>
                        <th style="max-width: 50px">{{__("Quantity")}}</th>
                        <th style="max-width: 50px">{{__("Price")}}</th>
                        <th style="max-width: 50px">{{__("Amount")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $totalCategory=0; $total=0; ?>
                    @foreach($stockpile as $key=>$stock)
                    <?php $totalCategory+=$stock['price']*$stock['quantity']; ?>
                        <tr class="gradeX">
                            <td>{{$stock['code']}}</td>
                            <td>{{$stock['equipment']}}</td>
                            <td>{{$stock['quantity']}}</td>
                            <td>{{$stock['price']}}</td>
                            <td>{{$stock['price']*$stock['quantity']}}</td>
                        </tr>
                        @if(isset($stockpile[$key+1]))
                        @if($stock['id_category'] != $stockpile[$key+1]['id_category'])
                        <tr class="gradeX" style="background-color:beige">
                            <td colspan="4" style="text-align: right"><strong>{{__('Total')}} @if($stock['id_category']) {{' ('.$stock['category'].')'}} @endif:</strong></td>
                            <td><strong>{{$totalCategory}}</strong></td>
                        </tr>
                        <?php $totalCategory = 0; ?>
                        @endif
                        @else
                        <tr class="gradeX" style="background-color:beige">
                            <td colspan="4" style="text-align: right"><strong>{{__('Total')}} @if($stock['id_category']) {{' ('.$stock['category'].')'}} @endif:</strong></td>
                            <td><strong>{{$totalCategory}}</strong></td>
                        </tr>
                        @endif
                        <?php $total += $stock['price']*$stock['quantity']; ?>
                    @endforeach
                    <tr class="gradeX" style="background-color:rgb(0, 138, 202); color:white">
                        <td colspan="4" style="text-align: right"><strong>{{__('Total')}}:</strong></td>
                        <td><strong>{{$total}}</strong></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection