@extends('layouts.app')
@section('content')
    @foreach($monters as $monter)
    <?php $equipment = $equipModel->equipment_for_user_mont($monter->id); $total=0;?>
    @if($equipment->isEmpty()) @continue @endif
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{$monter->ime.' '.$monter->prezime.' ('.$monter->email.')'}}</h2>
                    <div class="panel-actions">
                         <a href="{{route('mont_worker_storage', ['id' => $monter->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                    </div>
                </header>
                @if(!$equipment->isEmpty())
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Quantity")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($equipment as $equip)
                            <tr class="gradeX">
                                <td>{{$equip->equipment}}</td>
                                <td>{{$equip->quantity}}</td>
                            </tr>
                        <?php $total += $equip->price; ?>
                        @endforeach
                        <tr class="gradeX" style="background-color:beige">
                            <td style="text-align: right">{{__('Total').' '.__('price')}}</td>
                            <td>{{$total}}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                @endif
            </div>
        </div>
    </section>
    @endforeach
@endsection