@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("storekeeperId");
                $('#id_storekeeper').val(id);
            });

        });
    </script>
    <form id="form" method="post" action="{{route('magz.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Warehouse")}} <span class="required">*</span></label>
                    <div class="col-lg-3">
                        <input type="text" name="naziv" class="form-control" placeholder="" id="naziv" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Storekeepers")}} </label>
                    <div class="col-lg-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="storeKeepers[]" id="storeKeepers">
                            <optgroup label="{{__('Storekeepers')}}">
                                @foreach($storeKeepers as $stk)
                                    <option value="{{$stk->id}}">{{$stk->ime.' '.$stk->prezime}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('magz.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection