@extends('layouts.app')

@section('content')

<form id="form" method="get" action="{{ route('equipment_filter_result')}}" class="form-horizontal">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Filters")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">{{__("Equipment")}}</label>
                <div class="col-md-11">
                    <select class="form-control" name="equipment" id="equipment" data-plugin-selectTwo>
                        @foreach ($equipment as $item)
                            <option value="{{$item->id}}">@if($item->code)({{$item->code}})@endif {{$item->naziv}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
         </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection