@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('paketi.update', [$paket->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit packet")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Packet")}} <span class="required">*</span></label>
                    <div class="col-lg-4 @if($errors->has('paket')){{'has-error'}} @endif">
                        <input type="text" name="paket" class="form-control" placeholder="" id="paket" spellcheck="false" value="{{$paket->naziv}}"/>
                        @if($errors->has('paket'))
                            <label for="paket" class="error">{{$errors->first('paket')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Price")}}</label>
                    <div class="col-lg-4">
                        <input type="text" name="price" id="price" class="form-control" value={{$paket->price}}>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('paketi.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection