@extends('layouts.app')

@section('content')

    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Prices")}}</h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Type")}}</th>
                            <th>{{__("Device")}}</th>
                            <th>{{__("Price")}}</th>
                            <th>{{__('Created at')}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($prices as $rbr => $price)
                            <tr class="gradeX">
                                <td>{{($rbr+1).'.'}}</td>
                                <td>{{$price->device->uredjaj}}</td>
                                <td>{{$price->montage_type->tip}}</td>
                                <td>{{$price->price}}</td>
                                <td>{{date('d.m.Y H:i:s', strtotime($price->created_at))}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>

@endsection
