@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('razlog_intervencije.update', [$razlog->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit intervention reason")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Intervention reason")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('razlog_intervencije')){{'has-error'}} @endif">
                        <input type="text" name="razlog" class="form-control" placeholder="" id="razlog" spellcheck="false" value="{{$razlog->razlog}}"/>
                        @if($errors->has('razlog_intervencije'))
                            <label for="razlog" class="error">{{$errors->first('razlog')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('razlog_intervencije.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>
@endsection