@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$team->naziv}}</h2>
            <div class="panel-actions">
                <a href="/team/{{$team->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Team name")}}: <div class="highlight">{{$team->naziv}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Team leader")}}: <div class="highlight">{{$team->ime.' '.$team->prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Sellers")}}: <div class="highlight">@foreach ($sellers as $sell){!! nl2br($sell->ime.' '.$sell->prezime."\n") !!} @endforeach</div></p>
                </div>
            </div>
        </div>
    </section>

@endsection