@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('uniform_type.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Type")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('type')){{'has-error'}} @endif">
                    <input type="text" name="type" class="form-control" placeholder="" id="type" spellcheck="false" value="{{old('type')}}"/>
                        @if($errors->has('type'))
                            <label for="type" class="error">{{$errors->first('type')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('uniform_type.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection