@extends('layouts.app')
@section('content')
    <div class="row">
        <div class="col-xs-12">
            <form action="{{route('wf_upload_files')}}" method="POST" enctype="multipart/form-data">
                @csrf
                <input type="hidden" id="work_id" name="work_id" value="{{$workId}}">
                <input type="hidden" id="project_task_id" name="pt_id" value="{{$ptId}}">
                <input type="hidden" id="project_id" name="project_id" value="{{$projectId}}">
                <section class="panel">
                    <header class="panel-heading">
                        <div class="panel-actions">
                            <a href="#" class="fa fa-caret-down"></a>
                            <a href="#" class="fa fa-times"></a>
                        </div>

                        <h2 class="panel-title">{{__("Files")}}</h2>
                    </header>
                    <div class="panel-body">
                        <div class="col-sm-6">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                        <span class="fileupload-exists">{{__('Change')}}</span>
                                        <span class="fileupload-new">{{__('Choose file')}}</span>
                                        <input type="file" id="files" name="files[]" multiple>
                                    </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <footer class="panel-footer">
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <button class="btn btn-primary" type="submit">{{__('Upload')}} <i class="fa fa-upload"></i></button>
                            </div>
                        </div>
                    </footer>
                </section>
            </form>
        </div>
    </div>
@endsection