@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('wf_work.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add works")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Works")}} <span class="required">*</span></label>
                    <div class="col-lg-6 @if($errors->has('wf_work')){{'has-error'}} @endif">
                        <input type="text" name="wf_work" class="form-control" placeholder="" id="wf_work" spellcheck="false" value="{{old('wf_work')}}"/>
                        @if($errors->has('wf_work'))
                            <label for="wf_work" class="error">{{$errors->first('wf_work')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('wf_work.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection